<?php 
/*
 Plugin Name: «Line-R» — Sticky Music Player
 Description: Music, SoundCloud, Waves, Storm
 Version: 3.2
 Author: StormyByte
 Author URI: http://codecanyon.net/user/StormyByte/portfolio?ref=StormyByte 
*/

ini_set("display_errors", "0");
//error_reporting(E_ALL ^ E-WARNING ^ E_NOTICE); 

if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }

	
	function getOptionsGlobal(){
		global $wpdb, $optionsGlobal;
			
		$optionsDB = $wpdb->get_var('SELECT `player_options` FROM `'.$wpdb->prefix.'liner_player_options` WHERE `ID` = 1');
		if (strlen($optionsDB)){
			$optionsGlobal = json_decode($optionsDB, true);		
			$optionsGlobal['str'] = $optionsDB.' fileset:0,';
		}else{
			// Old options work by files
			$optionsFile = file (trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)))."options.txt");
			$optionsGlobal = json_decode($optionsFile[0], true);		
			$optionsGlobal['str'] = $optionsFile[0].' fileset:1,';
		}
	}

/* SOUNDCLOUD FEATURES */

function getUrlContent($url) {
	$curl = curl_init($url);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
	$data = curl_exec($curl);
	curl_close($curl);
	$json = json_decode($data, true);
	if (isset($json['status']) && $json['status'] == '302 - Found'){
		return getUrlContent($json['location']);
	}
	return $data;
}

function insertSoundCloudTrack($array){
	global $wpdb;
	
	$postData['file'] = $array['id'];
	$postData['cover'] = $array['artwork_url'];
	$postData['title'] = $array['title'];
	$postData['artist'] = $array['user']['username'];
	$postData['album'] = '';
	$postData['buyLink'] = '';
	$postData['url'] = $array['uri'];
	
	$inputData = array(
		'player_file' 	  => 'SoundCloudTrack',
		'player_data' 	  => json_encode($postData)
	);
	$wpdb->insert( $wpdb->prefix . 'liner_player', $inputData );
}

function insertExternalTrack($array){
	global $wpdb;
	
	$postData['file'] = $array['uri'];
	$postData['cover'] = $array['artwork_url'];
	$postData['title'] = $array['title'];
	$postData['artist'] = $array['user']['username'];
	$postData['album'] = $array['album'];
	$postData['buyLink'] = $array['buyLink'];
	$postData['url'] = $array['uri'];
	
	$inputData = array(
		'player_file' 	  => 'ExternalTrack',
		'player_data' 	  => json_encode($postData)
	);
	$wpdb->insert( $wpdb->prefix . 'liner_player', $inputData );
}

/* SOUNDCLOUD FEATURES */

function print_liner_player() {
	global $wpdb, $optionsGlobal;

	// Используем сквозной плеер - забиваем на шорткод
	if ($optionsGlobal['useShortcodes']*1 == 1)
		return;
	
	$data['tracks'] = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . 'liner_player' . "` WHERE ID != '0'", ARRAY_A);

	echo "	<script>
		jQuery(function($){
			jQuery('body').linerPlayer({
				firstPlaying: 0, ";
				echo "continuous: ".$optionsGlobal['useContinuous']*1 .", ";
				echo str_replace('"', '', str_replace('{','',str_replace('}',',',$optionsGlobal['str'])));
			
				echo	"
				pluginPath: '".trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)))."',
				playlist: [ ";
				
					foreach($data['tracks'] as $index => $track){
						$isSC = false;
						$isEXT = false;
						if ($track['player_file'] == 'SoundCloudTrack') $isSC = true;
						if ($track['player_file'] == 'ExternalTrack') $isEXT = true;
						
						$track = json_decode($track['player_data'], true);
						
						if ($isSC){
							echo '{file: "https://api.soundcloud.com/tracks/' .$track['file']. '/stream?client_id='. str_replace("'","", $optionsGlobal['scClientId']) .'" ';
						}elseif($isEXT){
							echo '{file: "'.$track['file'].'" ';
						}else{
							echo '{file: "'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'music/'.$track['file'].'" ';
						}
						
						if (strlen($track['title'])) { 
							echo ' , title: "'.$track['title'].'" '; 
						}
						
						if (strlen($track['artist'])) { 
							echo ' , artist: "'.$track['artist'].'" '; 
						}
						
						if (strlen($track['album'])) { 
							echo ' , album: "'.$track['album'].'" '; 
						}
						
						if (strlen($track['buyLink'])) { 
							echo ' , buyLink: "'.$track['buyLink'].'" '; 
						}
						
						if ($isSC){
							echo ' , cover: "'.$track['cover'].'?client_id='. str_replace("'","", $optionsGlobal['scClientId']) .'" ';
						}else{
							if (strlen($track['cover'])) { 
								echo ' , cover: "'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'cover/'.$track['cover'].'" ';
							}
						}
						
						echo '}';
						
						if (count($data['tracks']) != $index+1) echo ", \n";
					}
	
				echo "
				]
			});
		});
	</script>";

}

if (!class_exists('liner_player')) {
 class liner_player {
 
	## Internal data storage
	public $data = array();

	function activate() 
	{
		global $wpdb;
		
		$charset_collate = '';
		
		//require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
		
		$table	= $this->tbl_liner_player;
		
		## Determine the version of mysql
		//if ( version_compare(mysql_get_server_info(), '4.1.0', '>=') ) {
			if ( ! empty($wpdb->charset) )
				$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
			if ( ! empty($wpdb->collate) )
				$charset_collate .= " COLLATE $wpdb->collate";
		//}
		
		## The structure of table
		$sql_table_liner_player = "
				CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."liner_player` (
					`ID` INT(10) UNSIGNED UNIQUE AUTO_INCREMENT,
					`player_file` VARCHAR(255) NOT NULL DEFAULT '0',
					`player_data` VARCHAR(1023) NOT NULL DEFAULT '0',
					
					PRIMARY KEY (`ID`)
				)".$charset_collate.";";
		$wpdb->query($sql_table_liner_player);
		
		
		## The structure of table options
		$sql_table_liner_player_options = "
				CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."liner_player_options` (
					`ID` INT(10) UNSIGNED UNIQUE AUTO_INCREMENT,
					`player_options` VARCHAR(1023) NOT NULL DEFAULT '',
					
					PRIMARY KEY (`ID`)
				)".$charset_collate.";";
		$wpdb->query($sql_table_liner_player_options);
		
		if ($wpdb->get_var('SELECT `player_options` FROM `'.$wpdb->prefix.'liner_player_options` WHERE `ID` = 1') == NULL){
			$inputData = array(
				'player_options' 	  => "{\"accentColor\":\"'#008DDE'\",\"autoplay\":0,\"shuffle\":0,\"loop\":0,\"veryThin\":0,\"roundedCorners\":0,\"slideAlbumsName\":1,\"nowplaying2title\":0,\"scClientId\":\"'b4bee2a55625cf4ab8e3f7ea1d35e103'\",\"useShortcodes\":0,\"useContinuous\":0}"
			);		
			// Adding first options to settings table
			$wpdb->insert( $wpdb->prefix."liner_player_options", $inputData );
		}
	}
	
	function deactivate() 
	{
		global $wpdb;
		
		//$wpdb->query("DROP TABLE IF EXISTS `".$wpdb->prefix."liner_player`");
		
		return true;
	}
	
	function uninstall() 
	{
		global $wpdb;
		
		$wpdb->query("DROP TABLE IF EXISTS `".$wpdb->prefix."liner_player`");
		
		return true;
	}
	
	## Object constructor
	## Initialization the main variables
	function __construct()
	{
		global $wpdb, $optionsGlobal;
		
		getOptionsGlobal();
		
		## Declare a constant initialization plugin
		DEFINE('liner_player', true);
		
		## The file name of plugin
		$this->plugin_name = plugin_basename(__FILE__);
		
		## The folder name of plugin
		$this->plugin_folder = dirname(plugin_basename(__FILE__));
		
		## URL address for plugin
		$this->plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)));
		
		## Table to store reviews
		## Necessarily have to be globally declared explanatory variables $ wpdb
		$this->tbl_liner_player   = $wpdb->prefix . 'liner_player';
		
		## Function which executed when activating the plugin
		register_activation_hook( $this->plugin_name, array(&$this, 'activate') );
		
		## Function which executed when the plugin is deactivated
		register_deactivation_hook( $this->plugin_name, array(&$this, 'deactivate') );
		
		##  Function which executed by removing the plug
		register_uninstall_hook( $this->plugin_name, 'uninstall' );
		
		// If we in admin interface
		if ( is_admin() ) {
			// Adding styles and scripts
			add_action('wp_print_scripts', array(&$this, 'admin_load_scripts'));
			add_action('wp_print_styles', array(&$this, 'admin_load_styles'));
			
			// Add a menu for the plugin
			add_action( 'admin_menu', array(&$this, 'admin_generate_menu') );
			
		} else {
		    // Adding styles and scripts
			add_action('wp_print_scripts', array(&$this, 'site_load_scripts'));
			add_action('wp_print_styles', array(&$this, 'site_load_styles'));
			
			// Создаем новый шорткод
			add_shortcode('liner_player', array (&$this, 'liner_player_shortcode'));
			add_shortcode('liner_player_add', array (&$this, 'liner_player_shortcode_add'));
			add_filter('widget_text', 'do_shortcode');

			// Показываем на всем сайте
			add_action('wp_footer', 'print_liner_player');
		}
		
		// Создаем новый виджет
		//add_action( 'widgets_init', create_function( '', 'register_widget( "liner_playerW" );' ) );
	}
	
	function admin_load_scripts()
	{
		wp_enqueue_script('jquery');
		
		wp_register_script('liner_player_navtabs', $this->plugin_url . 'assets/navtabs.js' );
		wp_enqueue_script('liner_player_navtabs');
	}
	
	function admin_load_styles()
	{	
		return true;
	}
	
	function site_load_scripts()
	{
		global $optionsGlobal;
		
		wp_register_script('punch', $this->plugin_url . 'js/jquery.ui.touch-punch.min.js' , array('jquery','jquery-ui-core','jquery-ui-slider','jquery-ui-mouse','jquery-ui-widget'));
		wp_enqueue_script('punch');
		
		wp_register_script('jplayer', $this->plugin_url . 'js/jquery.jplayer.min.js' );
		wp_enqueue_script('jplayer');
		
		wp_register_script('jplaylist', $this->plugin_url . 'js/jplayer.playlist.min.js' );
		wp_enqueue_script('jplaylist');
		
		wp_register_script('id3min', $this->plugin_url . 'js/id3.min.js' );
		wp_enqueue_script('id3min');
		
		wp_register_script('iscrollmin', $this->plugin_url . 'js/iscroll.min.js' );
		wp_enqueue_script('iscrollmin');
		
		wp_register_script('liner_player_js', $this->plugin_url . 'js/jquery.linerPlayer.js' );
		wp_enqueue_script('liner_player_js');
	}

	function site_load_styles()
	{
		wp_register_style('liner_player_css', $this->plugin_url . 'css/style.css' );
		wp_enqueue_style('liner_player_css');
	}
	
	## Shortcode add
	function liner_player_shortcode_add($atts) {
		global $wpdb, $optionsGlobal;
		
		extract(shortcode_atts(array(
			"id" => 0,
			"action" => "add"
		), $atts));
		
		$data = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . 'liner_player' . "` WHERE ID = '{$id}'", ARRAY_A);
		$track = $data[0];
		
		$isSC = false;
		$isEXT = false;
		if ($track['player_file'] == 'SoundCloudTrack') $isSC = true;
		if ($track['player_file'] == 'ExternalTrack') $isEXT = true;

		$track = json_decode($track['player_data'], true);
		$liner_player_add = '<div style="background-image:url(\'';
		
		if ($isSC){
			$liner_player_add .= $track['cover'].'?client_id='. str_replace("'", "", $optionsGlobal['scClientId']);
		}else{
			if (strlen($track['cover'])) { 
				$liner_player_add .= trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'cover/'.$track['cover'];
			}
		}
		
		
		$liner_player_add .= '\')" data-action="'.$action.'" ';
		
		if ($isSC){
			$liner_player_add .= 'data-mp3="https://api.soundcloud.com/tracks/' .$track['file']. '/stream?client_id='.  str_replace("'", "", $optionsGlobal['scClientId']) .'" ';
		}elseif($isEXT){
			$liner_player_add .= 'data-mp3="'.$track['file'].'" ';
		}else{
			$liner_player_add .= 'data-mp3="'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'music/'.$track['file'].'" ';
		}
		
		if (strlen($track['title'])) { 
			$liner_player_add .= ' data-title="'.$track['title'].'" '; 
		}
		
		if (strlen($track['artist'])) { 
			$liner_player_add .= ' data-artist="'.$track['artist'].'" '; 
		}
		
		if (strlen($track['album'])) { 
			$liner_player_add .= ' data-album="'.$track['album'].'" '; 
		}
		
		if (strlen($track['buyLink'])) { 
			$liner_player_add .= ' data-buylink="'.$track['buyLink'].'" '; 
		}
		
		if ($isSC){
			$liner_player_add .= ' data-cover="'.$track['cover'].'?client_id='. str_replace("'", "", $optionsGlobal['scClientId']) .'" ';
		}else{
			if (strlen($track['cover'])) { 
				$liner_player_add .= ' data-cover="'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'cover/'.$track['cover'].'" ';
			}
		}
		
		$liner_player_add .= ' class="plManager shortc"><span class="stitle">'.$track['title'].'</span>
		<span class="sartist">'.$track['artist'].'</span></div>';
		
		return $liner_player_add;
	}
	
	## Shortcode
	function liner_player_shortcode($atts) {
		global $wpdb, $optionsGlobal;
			
		// Используем шорткод - забиваем на сквозной плеер
		if ($optionsGlobal['useShortcodes']*1 == 0)
			return; 
		
		extract(shortcode_atts(array(
			"id" => false
		), $atts));
			
		if (!$id || $id == '*' || $id == '"*"' || $id == "'*'"){
			$data['tracks'] = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . 'liner_player' . "` WHERE ID != '0'", ARRAY_A);
		}else{
			if (strpos($id, '-')){
				$thisid = explode('-', $id);
				$data['tracks'] = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . 'liner_player' . "` WHERE ID <= '{$thisid[1]}' AND ID >= '{$thisid[0]}'", ARRAY_A);
			}else{
				foreach(explode(',', $id) as $thisid){
					$data0 = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . 'liner_player' . "` WHERE ID = '{$thisid}'", ARRAY_A);
					$data['tracks'][] = $data0[0];
				}
			}
		}


		$liner_player_html = "	<script>
			jQuery(function($){
				jQuery('body').linerPlayer({
					firstPlaying: 0,
				";
				
				$liner_player_html .= "continuous: ".$optionsGlobal['useContinuous']*1 .", ";
				$liner_player_html .= str_replace('"', '', str_replace('{','',str_replace('}',',',$optionsGlobal['str'])));
				
				$liner_player_html .=	"
					pluginPath: '".trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)))."',
					playlist: [ ";
					
					foreach($data['tracks'] as $index => $track){
						$isSC = false;
						$isEXT = false;
						if ($track['player_file'] == 'SoundCloudTrack') $isSC = true;
						if ($track['player_file'] == 'ExternalTrack') $isEXT = true;
						
						$track = json_decode($track['player_data'], true);
						
						if ($isSC){
							$liner_player_html .= '{file: "https://api.soundcloud.com/tracks/' .$track['file']. '/stream?client_id='.  str_replace("'", "", $optionsGlobal['scClientId']) .'" ';
						}elseif($isEXT){
							$liner_player_html .= '{file: "'.$track['file'].'" ';
						}else{
							$liner_player_html .= '{file: "'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'music/'.$track['file'].'" ';
						}
						
						if (strlen($track['title'])) { 
							$liner_player_html .= ' , title: "'.$track['title'].'" '; 
						}
						
						if (strlen($track['artist'])) { 
							$liner_player_html .= ' , artist: "'.$track['artist'].'" '; 
						}
						
						if (strlen($track['album'])) { 
							$liner_player_html .= ' , album: "'.$track['album'].'" '; 
						}
						
						if (strlen($track['buyLink'])) { 
							$liner_player_html .= ' , buyLink: "'.$track['buyLink'].'" '; 
						}
						
						if ($isSC){
							$liner_player_html .= ' , cover: "'.$track['cover'].'?client_id='. str_replace("'", "", $optionsGlobal['scClientId']) .'" ';
						}else{
							if (strlen($track['cover'])) { 
								$liner_player_html .= ' , cover: "'.trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__))).'cover/'.$track['cover'].'" ';
							}
						}
						
						$liner_player_html .= '}';
						
						if (count($data['tracks']) != $index+1) $liner_player_html .= ", \n";
					}
		
					$liner_player_html .= "
					]
				});
			});
		</script>";
		
		
		return $liner_player_html;
	
	}
	
	/**
 	 * Generate menu
	 */
	function admin_generate_menu()
	{
		// Add the main menu section dashicons-arrow-right
		add_menu_page('Line-R Player', 'Line-R Player', 'manage_options', 'liner_player_page_settings', array(&$this, 'admin_liner_players'), 'dashicons-arrow-right');
		
		// Add an additional section
		//add_submenu_page( 'liner_player_page_settings', 'About', 'About', 'manage_options', 'liner_player_page_info', array(&$this,'admin_liner_players'));		
	}
	
	public function admin_liner_players()
	{
		global $wpdb, $optionsGlobal;
		
		$action = isset($_POST['action']) ? $_POST['action'] : null ;
		
		switch ($action) {
			
			case 'addSong':
				if (strlen($_POST['TrackLink'])>0){
					$uploadcover = '../wp-content/plugins/'.dirname(plugin_basename(__FILE__)).'/cover/'.$_FILES['TrackCover']['name'];
					if(!move_uploaded_file($_FILES['TrackCover']['tmp_name'], $uploadcover)){				
						echo "Didn't upload cover <BR> ";
					}
					
					$val['id'] 					= $_POST['TrackLink'];
					$val['artwork_url'] 		= $_FILES['TrackCover']['name'];
					$val['title'] 				= $_POST['TrackTitle'];
					$val['user']['username']	= $_POST['TrackArtist'];
					$val['album'] 				= $_POST['TrackAlbum'];
					$val['buyLink'] 			= $_POST['TrackbuyLink'];
					$val['uri'] 				= $_POST['TrackLink'];
					
					insertExternalTrack($val);
				}elseif (strlen($_POST['SCtrack'])>0){
			
					$client_id = isset($optionsGlobal['scClientId']) ? str_replace("'", "", $optionsGlobal['scClientId']) : "b4bee2a55625cf4ab8e3f7ea1d35e103";
				
					$data = getUrlContent("http://api.soundcloud.com/resolve?format=json&url=".$_POST['SCtrack']."&client_id=".$client_id);
					
					if(!empty($data)) {
						$parse = json_decode($data);
						$lists = array();
						if (is_array($parse)) {
							$counter = 0;
							$data = json_decode($data,true);
							foreach($data as $key=>$val) {
								if(isset($val['kind'])) {
									if($val['kind'] == "playlist") {
										for($i=0;$i<count($val['tracks']);$i++) {
											//$lists[$counter] = self::createSoundCloudTrack($val['tracks'][$i],$DAB,$cover);
											$counter++;
											
											insertSoundCloudTrack($val['tracks'][$i]);
										}
									} else if($val['kind'] == "track"){
										//$lists[$counter] = self::createSoundCloudTrack($val,$DAB,$cover);
										$counter++;	
										
										insertSoundCloudTrack($val);
									}
								}
							}
						} else {
							$val = json_decode($data,true);
							$counter = 0;
							if($val['kind'] == "playlist") {
								for($i=0;$i<count($val['tracks']);$i++) {
									//$lists[$counter] = self::createSoundCloudTrack($val['tracks'][$i],$DAB,$cover);
									$counter++;
									
									insertSoundCloudTrack($val['tracks'][$i]);
								}
							} else if($val['kind'] == "track"){
								//$lists[$counter] = self::createSoundCloudTrack($val,$DAB,$cover);
								$counter++;	
								
								insertSoundCloudTrack($val);
							}
						}
					}						
				}else{
					if (isset($_FILES['file']) && isset($_FILES['cover']) /*&& isset($_POST['title']) && isset($_POST['artist']) && isset($_POST['album'])*/ ) {
						$uploadcover = '../wp-content/plugins/'.dirname(plugin_basename(__FILE__)).'/cover/'.$_FILES['cover']['name'];
						if(!move_uploaded_file($_FILES['cover']['tmp_name'], $uploadcover)){				
							echo "Didn't upload cover <BR> ";
						}
						
						$uploadmfile = '../wp-content/plugins/'.dirname(plugin_basename(__FILE__)).'/music/'.$_FILES['file']['name'];
						if(!move_uploaded_file($_FILES['file']['tmp_name'], $uploadmfile)){				
							echo "Didn't upload music <BR> "; exit();
						}		
						
						include('getMP3info.php');
						$MP3info = getMP3data($uploadmfile);
						
						$postData['file'] = $_FILES['file']['name'];
						$postData['cover'] = $_FILES['cover']['name'];
						$postData['title'] = isset($_POST['title']) ? $_POST['title']: $MP3info['id3v1']['name'];
						$postData['artist'] = isset($_POST['artist']) ? $_POST['artist']: $MP3info['id3v1']['artists'];
						$postData['album'] = isset($_POST['album']) ? $_POST['album']: $MP3info['id3v1']['album'];
						$postData['buyLink'] = isset($_POST['buyLink']) ? $_POST['buyLink']: '';
						$postData = json_encode($postData);
						
						$inputData = array(
							'player_file' 	  	  => htmlspecialchars(strip_tags($_FILES['file']['name'])),
							'player_data' 	  => strip_tags($postData)
						);
						
						// Adding a new song to DB
						$wpdb->insert( $this->tbl_liner_player, $inputData );	
					}else{
						echo "<h2>Set the music files!</h2> <a href='javascript:history.back(-1);'>Go back</a>.";
					}				
				}
				$this->admin_main_tracklist();				
			break;
			
			
			case 'setOptions':
				$plOptions['accentColor'] = "'".$_POST['accentColor']."'";
				$plOptions['autoplay'] = $_POST['autoplay']*1;
				$plOptions['shuffle'] = $_POST['shuffle']*1;
				$plOptions['loop'] = $_POST['loop']*1;
				$plOptions['veryThin'] = $_POST['veryThin']*1;
				$plOptions['roundedCorners'] = $_POST['roundedCorners']*1;
				$plOptions['slideAlbumsName'] = $_POST['slideAlbumsName']*1;
				$plOptions['nowplaying2title'] = $_POST['nowplaying2title']*1;
				$plOptions['scClientId'] = "'".$_POST['scClientId']."'";
				$plOptions['useShortcodes'] = $_POST['useShortcodes']*1;
				$plOptions['useContinuous'] = $_POST['useContinuous']*1;
				$plOptions = json_encode($plOptions);

				
				if ($wpdb->get_var('SELECT `player_options` FROM `'.$wpdb->prefix.'liner_player_options` WHERE `ID` = 1') != NULL){
					$plOptions = array('player_options' => $plOptions);
					$whereID = array('ID' => '1');
					$wpdb->update($wpdb->prefix.'liner_player_options', $plOptions, $whereID);
				}else{
					$fileOpt = fopen ("../wp-content/plugins/".dirname(plugin_basename(__FILE__))."/options.txt","w");
					if ( !$fileOpt ){
						echo("File opening error");
					}else{
						fputs ($fileOpt, $plOptions);
					}
					fclose ($fileOpt);
				}			
				
				getOptionsGlobal();
				$this->admin_main_tracklist();
				
			break;
			
			case 'editSong':
				$editTrack = $wpdb->get_row("SELECT `player_data` FROM `" . $this->tbl_liner_player . "` WHERE ID = '{$_POST['editid']}'", ARRAY_A);
				$editTrack = json_decode($editTrack['player_data'], true);
				
				$editTrack['title'] = $_POST['title'];
				$editTrack['artist'] = $_POST['artist'];
				$editTrack['album'] = $_POST['album'];
				$editTrack['buyLink'] = $_POST['buyLink'];
				
				$wpdb->update( $this->tbl_liner_player,
					array( 'player_data' => json_encode($editTrack)  ),
					array( 'ID' => $_POST['editid']*1 ),
					array( '%s', '%d' ),
					array( '%d' )
				);
				$this->admin_main_tracklist();
			break;
			
			default:
				if (isset($_GET['delID'])) {
					$delID = intval($_GET['delID']);
					$wpdb->query("DELETE FROM `" . $this->tbl_liner_player . "` WHERE `ID`={$delID} ");
					$this->admin_main_tracklist();
				}elseif(isset($_GET['editID'])) {
					$editID = intval($_GET['editID']);
					
					$editTrack = $wpdb->get_row("SELECT `player_data` FROM `" . $this->tbl_liner_player . "` WHERE ID = '{$editID}'", ARRAY_A);
					$editTrack = json_decode($editTrack['player_data'], true);
					include_once('in_header.php');
					include_once('in_editSong.php');
					include_once('in_footer.php');
				}else{
					$this->admin_main_tracklist();
				}		
				
		}
	}

	private function admin_main_tracklist()
	{
		global $wpdb, $optionsGlobal;
		
		// Get the data from the database
		$this->data['tracks'] = $wpdb->get_results("SELECT * FROM `" . $this->tbl_liner_player . "` WHERE ID != '0'", ARRAY_A);
	
		include_once('in_header.php');
		
		include_once('in_upload.php');			
		$this->data['tracks'] = array_reverse($this->data['tracks']);
		include_once('in_main_tracklist.php');
		include_once('in_settings.php');
		//include_once('in_readme.php');

		include_once('in_footer.php');
	}

 }
}

global $G_liner_player;
$G_liner_player = new liner_player();