<?php

return array(
	'id'          => 'ozy_odio_meta_page',
	'types'       => array('page'),
	'title'       => __('Page Options', 'odio'),
	'priority'    => 'high',
	'template'    => array(
		array(
			'type' => 'select',
			'name' => 'ozy_odio_meta_page_custom_menu',
			'label' => __('Custom Menu', 'odio'),
			'description' => __('You can select a custom menu for this page.', 'odio'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_odio_list_wp_menus',
					),
				),
			),
			'default' => '-1',
		),
		array(
			'type' => 'select',
			'name' => 'ozy_odio_meta_page_revolution_slider',
			'label' => __('Revolution Header Slider', 'odio'),
			'description' => __('You can select a header slider if you have installed and activated Revolution Slider which comes bundled with your theme.', 'odio'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_odio_revolution_slider',
					),
				),
			),
			'default' => '{{first}}',
		),
		array(
			'type' => 'select',
			'name' => 'ozy_odio_meta_page_master_slider',
			'label' => __('Master Header Slider', 'odio'),
			'description' => __('You can select a header slider if you have installed and activated Master Slider which comes bundled with your theme.', 'odio'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_odio_master_slider',
					),
				),
			),
			'default' => '{{first}}',
		),		


		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_footer_slider',
			'label' => __('Use Footer Slider', 'odio'),
			'description' => __('You can use footer slider with header slider too.', 'odio'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_odio_meta_page_use_footer_slider_group',
			'title'     => __('Footer Slider', 'odio'),
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_footer_slider',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(
				array(
					'type' => 'select',
					'name' => 'ozy_odio_meta_page_revolution_footer_slider',
					'label' => __('Revolution Footer Slider', 'odio'),
					'description' => __('You can select a footer slider if you have installed and activated Revolution Slider which comes bundled with your theme.', 'odio'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_odio_revolution_slider',
							),
						),
					),
					'default' => '{{first}}',
				),
				array(
					'type' => 'select',
					'name' => 'ozy_odio_meta_page_master_footer_slider',
					'label' => __('Master Footer Slider', 'odio'),
					'description' => __('You can select a footer slider if you have installed and activated Master Slider which comes bundled with your theme.', 'odio'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_odio_master_slider',
							),
						),
					),
					'default' => '{{first}}',
				),				
			),
		),

		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_show_loader',
			'label' => __('Show Loading Screen', 'odio'),
			'description' => __('Check this option to display a loading screen for this page only.', 'odio'),
		),
		array(
			'type' => 'radiobutton',
			'name' => 'ozy_odio_meta_page_hide_footer_widget_bar',
			'label' => __('Footer Bars Visiblity', 'odio'),
			'description' => __('By this option you can hide footer bars as you wish.', 'odio'),
			'items' => array(
				array(
					'value' => '-1',
					'label' => __('All Visible', 'odio'),
				),
				array(
					'value' => '1',
					'label' => __('Hide Widget Bar', 'odio'),
				),
				array(
					'value' => '2',
					'label' => __('Hide Widget Bar and Footer', 'odio'),
				),
			),
			'default' => array(
				'-1',
			),
		),
		


		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_hide_title',
			'label' => __('Hide Page Title', 'odio'),
			'description' => __('Page title will not be shown on the page.', 'odio'),
		),
		
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_no_content_padding',
			'label' => __('No content top padding', 'odio'),
			'description' => __('Check this option to disable the padding top of your content (after page title).', 'odio'),
		),		
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_custom_title',
			'label' => __('Custom Header/Title', 'odio'),
			'description' => __('There are several options to help you customize your page header.', 'odio'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_odio_meta_page_use_custom_title_group',
			'title'     => __('Custom Header/Title Options', 'odio'),
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_custom_title',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(	
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_custom_title_position',
					'label' => __('Title Position', 'odio'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => __('Left', 'odio'),
						),
						array(
							'value' => 'right',
							'label' => __('Right', 'odio'),
						),
						array(
							'value' => 'center',
							'label' => __('Center', 'odio'),
						),
					),
					'default' => array(
						'left',
					),
				),			
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_odio_meta_page_custom_title',
					'label'     => __('Page Title', 'odio'),
				),
				array(
					'type'      => 'color',
					'name'      => 'ozy_odio_meta_page_custom_title_color',
					'label'     => __('Title Color', 'odio'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_odio_meta_page_custom_sub_title',
					'label'     => __('Sub Title', 'odio'),
				),
				array(
					'type'      => 'color',
					'name'      => 'ozy_odio_meta_page_custom_sub_title_color',
					'label'     => __('Sub Title Color', 'odio'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'color',
					'name'      => 'ozy_odio_meta_page_custom_title_bgcolor',
					'label'     => __('Header Background Color', 'odio'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'upload',
					'name'      => 'ozy_odio_meta_page_custom_title_bg',
					'label'     => __('Header Image', 'odio'),
					'description'=> __('Please use images like 1600px, 2000px wide and have a minimum height like 475px for good results.', 'odio'),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_custom_title_bg_x_position',
					'label' => __('Background X-Position', 'odio'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => __('Left', 'odio'),
						),
						array(
							'value' => 'right',
							'label' => __('Right', 'odio'),
						),
						array(
							'value' => 'center',
							'label' => __('Center', 'odio'),
						),
						array(
							'value' => 'top',
							'label' => __('Top', 'odio'),
						),
						array(
							'value' => 'bottom',
							'label' => __('Bottom', 'odio'),
						),
					),
					'default' => array(
						'left',
					),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_custom_title_bg_y_position',
					'label' => __('Background Y-Position', 'odio'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => __('Left', 'odio'),
						),
						array(
							'value' => 'right',
							'label' => __('Right', 'odio'),
						),
						array(
							'value' => 'center',
							'label' => __('Center', 'odio'),
						),
						array(
							'value' => 'top',
							'label' => __('Top', 'odio'),
						),
						array(
							'value' => 'bottom',
							'label' => __('Bottom', 'odio'),
						),
					),
					'default' => array(
						'top',
					),
				),				
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_odio_meta_page_custom_title_height',
					'label'     => __('Header Height', 'odio'),
					'description'=> __('Height of your header in pixels? Don\'t include "px" in the string. e.g. 400', 'odio'),
					'default'	=> 100,
					'validation' => 'numeric'
				),				
			),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_hide_content',
			'label' => __('Hide Page Content', 'odio'),
			'description' => __('Page content will not be shown. Supposed to use with Video backgrounds or Fullscreen sliders.', 'odio'),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_sidebar',
			'label' => __('Use Custom Sidebar', 'odio'),
			'description' => __('You can use custom sidebar individually.', 'odio'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_odio_meta_page_sidebar_group',
			'title'     => __('Custom Sidebar', 'odio'),
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_sidebar',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(
				array(
					'type' => 'radioimage',
					'name' => 'ozy_odio_meta_page_sidebar_position',
					'label' => __('Sidebar Position', 'odio'),
					'description' => __('Select one of available header type.', 'odio'),
					'item_max_width' => '86',
					'items' => array(
						array(
							'value' => 'full',
							'label' => __('No Sidebar', 'odio'),
							'img' => OZY_BASE_URL . 'admin/images/full-width.png',
						),
						array(
							'value' => 'left',
							'label' => __('Left Sidebar', 'odio'),
							'img' => OZY_BASE_URL . 'admin/images/left-sidebar.png',
						),
						array(
							'value' => 'right',
							'label' => __('Right Sidebar', 'odio'),
							'img' => OZY_BASE_URL . 'admin/images/right-sidebar.png',
						)
					),
					'default' => '{{first}}',
				),			
				array(
					'type' => 'select',
					'name' => 'ozy_odio_meta_page_sidebar',
					'label' => __('Sidebar', 'odio'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_odio_sidebars',
							),
						),
					),
				),													
			),
		),

		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_sidebar_background',
			'label' => __('Use Custom Sidebar Bacgkround', 'odio'),
			'description' => __('You can use custom sidebar individually.', 'odio'),
		),		
		array(
			'type' => 'color',
			'name' => 'ozy_odio_meta_page_sidebar_background',
			'label' => __('Background Color', 'odio'),
			'description' => __('Use this option to set a background color for the sidebar on this page.', 'odio'),
			'default' => 'rgba(255,255,255,1)',
			'format' => 'rgba',
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_sidebar_background',
				'function' => 'vp_dep_boolean',
			),				
		),
		
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_custom_style',
			'label' => __('Use Custom Style', 'odio'),
			'description' => __('Options to customize your page individually.', 'odio'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_odio_meta_page_layout_group',
			'title'     => __('Layout Styling', 'odio'),
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_custom_style',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(					
				array(
					'type' => 'color',
					'name' => 'ozy_odio_meta_page_layout_ascend_background',
					'label' => __('Background Color', 'odio'),
					'description' => __('This option will affect, main wrapper\'s background color.', 'odio'),
					'default' => 'rgba(255,255,255,1)',
					'format' => 'rgba',
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_layout_transparent_background',
					'label' => __('Transparent Content Background', 'odio'),
					'description' => __('If you want, you can use transparent background for your content.', 'odio'),
					'default' => '0',
				)														
			),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_odio_meta_page_use_custom_background',
			'label' => __('Use Custom Background', 'odio'),
			'description' => __('Lots of options to customize your page background individually.', 'odio'),
		),		
		array(
			'type'      => 'group',
			'repeating' => false,
			'name'      => 'ozy_odio_meta_page_background_group',
			'title'     => __('Background Styling', 'odio'),
			'dependency' => array(
				'field'    => 'ozy_odio_meta_page_use_custom_background',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(					
				array(
					'type' => 'upload',
					'name' => 'ozy_odio_meta_page_background_image',
					'label' => __('Custom Background Image', 'odio'),
					'description' => __('Upload or choose custom page background image.', 'odio'),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_background_image_size',
					'label' => __('Background Image Size', 'odio'),
					'description' => __('Only available on browsers which supports CSS3.', 'odio'),
					'items' => array(
						array(
							'value' => '',
							'label' => __('-not set-', 'odio'),
						),			
						array(
							'value' => 'cover',
							'label' => __('cover', 'odio'),
						),
						array(
							'value' => 'contain',
							'label' => __('contain', 'odio'),
						)
					),
					'default' => '{{first}}',
				),

				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_background_image_pos_x',
					'label' => __('Background Position X', 'odio'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => __('left', 'odio'),
						),			
						array(
							'value' => 'center',
							'label' => __('center', 'odio'),
						),
						array(
							'value' => 'right',
							'label' => __('right', 'odio'),
						)
					),
					'default' => 'left',
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_background_image_pos_y',
					'label' => __('Background Position Y', 'odio'),
					'items' => array(
						array(
							'value' => 'top',
							'label' => __('top', 'odio'),
						),			
						array(
							'value' => 'center',
							'label' => __('center', 'odio'),
						),
						array(
							'value' => 'bottom',
							'label' => __('bottom', 'odio'),
						)
					),
					'default' => 'top',
				),				
				
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_background_image_repeat',
					'label' => __('Background Image Repeat', 'odio'),
					'items' => array(
						array(
							'value' => 'inherit',
							'label' => __('inherit', 'odio'),
						),			
						array(
							'value' => 'no-repeat',
							'label' => __('no-repeat', 'odio'),
						),
						array(
							'value' => 'repeat',
							'label' => __('repeat', 'odio'),
						),
						array(
							'value' => 'repeat-x',
							'label' => __('repeat-x', 'odio'),
						),
						array(
							'value' => 'repeat-y',
							'label' => __('repeat-y', 'odio'),
						)
					),
					'default' => '{{first}}',
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_odio_meta_page_background_image_attachment',
					'label' => __('Background Image Attachment', 'odio'),
					'items' => array(
						array(
							'value' => '',
							'label' => __('-not set-', 'odio'),
						),			
						array(
							'value' => 'fixed',
							'label' => __('fixed', 'odio'),
						),
						array(
							'value' => 'scroll',
							'label' => __('scroll', 'odio'),
						),
						array(
							'value' => 'local',
							'label' => __('local', 'odio')
						)
					),
					'default' => '{{first}}',
				),										
				array(
					'type' => 'color',
					'name' => 'ozy_odio_meta_page_background_color',
					'label' => __('Background Color', 'odio'),
					'description' => __('This option will affect only page background.', 'odio'),
					'default' => '#ffffff',
					'format' => 'hex',
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_background_use_gmap',
					'label' => __('Use Google Map', 'odio'),
					'description' => __('Instead of using a static background, you can use a Google Map as background.', 'odio'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'name'      => 'ozy_odio_meta_page_background_gmap_group',
					'title'     => __('Google Map', 'odio'),
					'dependency' => array(
						'field'    => 'ozy_odio_meta_page_background_use_gmap',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'textbox',
							'name' => 'ozy_odio_meta_page_background_gmap_address',
							'label' => __('iFrame Src', 'odio'),
							'description' => __('Enter src attribute of your Google Map iFrame.', 'odio'),
						)												
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_background_use_slider',
					'label' => __('Use Background Slider', 'odio'),
					'description' => __('Instead of using a static background, you can use background image slider.', 'odio'),
				),					
				array(
					'type'      => 'group',
					'repeating' => true,
					'sortable' => true,
					'name'      => 'ozy_odio_meta_page_background_slider_group',
					'title'     => __('Slider Image', 'odio'),
					'dependency' => array(
						'field'    => 'ozy_odio_meta_page_background_use_slider',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_slider_image',
							'label' => __('Slider Image', 'odio'),
							'description' => __('Upload or choose custom background image.', 'odio'),
						)												
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_background_use_video_self',
					'label' => __('Use Self Hosted Video', 'odio'),
					'description' => __('Instead of using a static background, you can use self hosted video.', 'odio'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_odio_meta_page_background_video_self_group',
					'title'     => __('Self Hosted Video', 'odio'),
					'dependency' => array(
						'field'    => 'ozy_odio_meta_page_background_use_video_self',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_self_image',
							'label' => __('Poster Image', 'odio'),
							'description' => __('Upload or choose a poster image.', 'odio'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_self_mp4',
							'label' => __('MP4 File', 'odio'),
							'description' => __('Upload or choose a MP4 file.', 'odio'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_self_webm',
							'label' => __('WEBM File', 'odio'),
							'description' => __('Upload or choose a WEBM file.', 'odio'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_self_ogv',
							'label' => __('OGV File', 'odio'),
							'description' => __('Upload or choose an OGV file.', 'odio'),
						)
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_background_use_video_youtube',
					'label' => __('Use YouTube Video', 'odio'),
					'description' => __('Instead of using a static background, you can use YouTube video.', 'odio'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_odio_meta_page_background_video_youtube_group',
					'title'     => __('YouTube Video', 'odio'),
					'dependency' => array(
						'field'    => 'ozy_odio_meta_page_background_use_video_youtube',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_youtube_image',
							'label' => __('Poster Image', 'odio'),
							'description' => __('Upload or choose a poster image.', 'odio'),
						),
						array(
							'type' => 'textbox',
							'name' => 'ozy_odio_meta_page_background_video_youtube_id',
							'label' => __('YouTube Video ID', 'odio'),
							'description' => __('Enter YouTube video ID. http://www.youtube.com/watch?v=<span style="color:red;">mYKA-VokOtA</span> text marked with red is the ID you have to be looking for.', 'odio'),
						)
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_odio_meta_page_background_use_video_vimeo',
					'label' => __('Use Vimeo Video', 'odio'),
					'description' => __('Instead of using a static background, you can use Vimeo video.', 'odio'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_odio_meta_page_background_video_vimeo_group',
					'title'     => __('Vimeo Video', 'odio'),
					'dependency' => array(
						'field'    => 'ozy_odio_meta_page_background_use_video_vimeo',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_meta_page_background_video_vimeo_image',
							'label' => __('Poster Image', 'odio'),
							'description' => __('Upload or choose a poster image.', 'odio'),
						),
						array(
							'type' => 'textbox',
							'name' => 'ozy_odio_meta_page_background_video_vimeo_id',
							'label' => __('Vimeo Video ID', 'odio'),
							'description' => __('Enter Vimeo video ID. http://vimeo.com/<span style="color:red;">71964690</span> text marked with red is the ID you have to be looking for.', 'odio'),
						)
					),
				)
			),
		),
		array(
			'type' => 'radiobutton',
			'name' => 'ozy_odio_meta_page_page_model',
			'label' => __('Default Page Model', 'odio'),
			'items' => array(
				array(
					'value' => 'generic',
					'label' => __('Use From Theme Options', 'odio'),
				),			
				array(
					'value' => 'boxed',
					'label' => __('Boxed', 'odio'),
				),
				array(
					'value' => 'full',
					'label' => __('Full', 'odio'),
				),
			),
			'default' => array(
				'{{first}}',
			),
		)				
	),	
);

/**
 * EOF
 */