<?php
$footer_copyright_array =		array(
									array(
										'type' => 'textbox',
										'name' => 'ozy_odio_section_footer_copyright_text',
										'label' => __('Footer Text', 'odio') . ' ('. OZY_WPLANG . ')',
										'default' => __('<p>Copyright 2023 &copy; Odio</p><strong>Design & Development by FreeVision</strong>', 'odio')
									)
								);

if(ozy_is_wpml_active()){
	$languages = icl_get_languages('skip_missing=0&orderby=code');
	if(!empty($languages)){
		foreach($languages as $l){
			if(OZY_WPLANG != $l['language_code']) {
				array_push($footer_copyright_array, array(
													'type' => 'textbox',
													'name' => 'ozy_odio_section_footer_copyright_text' . $l['language_code'],
													'label' => __('Footer Text', 'odio') . ' (' . strtoupper($l['native_name']) .')'
												));
			}
		}
	}
}

//return
$ozy_odio_option_arr = array(
	'title' => __('ODIO Option Panel', 'odio'),
	'logo' => OZY_BASE_URL . 'admin/images/logo.png',
	'menus' => array(
		array(
			'title' => __('General Options', 'odio'),
			'name' => 'ozy_odio_general_options',
			'icon' => 'font-awesome:fa-gear',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('General', 'odio'),
					'fields' => array(
						array(
							'type' => 'toggle',
							'name' => 'ozy_odio_mp3_player',
							'label' => __('Activate MP3 Player?', 'odio'),
							'description' => __('Show / Hide MP3 Player on frontend.', 'odio'),
							'default' => '0',
						),
						array(
							'type' => 'toggle',
							'name' => 'ozy_odio_back_to_top_button',
							'label' => __('Back To Top Button', 'odio'),
							'description' => __('Enable / Disable Back To Top Button globally.', 'odio'),
							'default' => '1',
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_favicon',
							'label' => __('Favicon', 'odio'),
							'description' => __('Upload a 16px x 16px .png or .gif image, will be set as your favicon.', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/favico.gif',
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_favicon_apple_small',
							'label' => __('Apple Touch Icon (small)', 'odio'),
							'description' => __('Upload a 57px x 57px .png image, will be set as your small Apple Touch Icon.', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/favico_57.png',
						),array(
							'type' => 'upload',
							'name' => 'ozy_odio_favicon_apple_medium',
							'label' => __('Apple Touch Icon (medium)', 'odio'),
							'description' => __('Upload a 76px x 76px .png image, will be set as your large Apple Touch Icon (iPad).', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/favico_76.png',
						),array(
							'type' => 'upload',
							'name' => 'ozy_odio_favicon_apple_large',
							'label' => __('Apple Touch Icon (large)', 'odio'),
							'description' => __('Upload a 120px x 120px .png image, will be set as your large Apple Touch Icon (iPhone Retina).', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/favico_120.png',
						),array(
							'type' => 'upload',
							'name' => 'ozy_odio_favicon_apple_xlarge',
							'label' => __('Apple Touch Icon (large)', 'odio'),
							'description' => __('Upload a 152px x 152px .png image, will be set as your large Apple Touch Icon (iPad Retina).', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/favico_152.png',
						),
						array(
							'type' => 'codeeditor',
							'name' => 'ozy_odio_custom_css',
							'label' => __('Custom CSS', 'odio'),
							'description' => __('Write your custom css here. <strong>Please do not add "style" tags.</strong>', 'odio'),
							'theme' => 'eclipse',
							'mode' => 'css',
						),
						array(
							'type' => 'codeeditor',
							'name' => 'ozy_odio_custom_script',
							'label' => __('Custom JS', 'odio'),
							'description' => __('Write your custom js here. Please do not add script tags into this box. <strong>Please do not add "script" tags.</strong>', 'odio'),
							'theme' => 'mono_industrial',
							'mode' => 'javascript',
						),
					),
				),
			),
		),


		array(
			'title' => __('Typography', 'odio'),
			'name' => 'ozy_odio_typography',
			'icon' => 'font-awesome:fa-pencil',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('Extended Parameters', 'odio'),
					'fields' => array(
						array(
							'type' => 'textbox',
							'name' => 'ozy_odio_typography_google_param',
							'description' => 'Add extra parameters here. By this option, you can load non-latin charset or more types byt available parameters. Use like ":400,100,300,700".',
							'default' => ':100,200,300,400,500,600,700,800,900'
						),
					)
				),
				array(
					'type' => 'section',
					'title' => __('Content Typography', 'odio'),
					'fields' => array(
						array(
							'type' => 'html',
							'name' => 'ozy_odio_typography_font_preview',
							'binding' => array(
								'field'    => 'ozy_odio_typography_font_face,ozy_odio_typography_font_style,ozy_odio_typography_font_weight,ozy_odio_typography_font_size, ozy_odio_typography_font_line_height',
								'function' => 'vp_font_preview',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_font_face',
							'label' => __('Font Face', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_gwf_family',
									),
								),
							),
							'default' => 'Open Sans'
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_font_style',
							'label' => __('Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_font_weight',
							'label' => __('Font Weight', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_font_face',
										'value' => 'vp_get_gwf_weight',
									),
								),
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_font_size',
							'label'   => __('Font Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '86',
							'default' => '14',
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_font_line_height',
							'label'   => __('Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('Heading Typography', 'odio'),
					'fields' => array(
						array(
							'type' => 'html',
							'name' => 'ozy_odio_typography_heading_font_preview',
							'binding' => array(
								'field'    => 'ozy_odio_typography_heading_font_face,ozy_odio_typography_heading_font_style,ozy_odio_typography_heading_font_weight,ozy_odio_typography_heading_h1_font_size',
								'function' => 'vp_font_preview_simple',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_face',
							'label' => __('Font Face', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_gwf_family',
									),
								),
							),
							'default' => 'Oswald'
						)
					),
				),
				array(
					'type' => 'section',
					'title' => __('H1 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h1_font_size',
							'label'   => __('H1 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '50',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h1_font_style',
							'label' => __('H1 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h1',
							'label' => __('H1 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'400',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h1',
							'label'   => __('H1 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h1',
							'label' => __('H1 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('H2 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h2_font_size',
							'label'   => __('H2 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '40',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h2_font_style',
							'label' => __('H2 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h2',
							'label' => __('H2 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'400',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h2',
							'label'   => __('H2 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h2',
							'label' => __('H2 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('H3 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h3_font_size',
							'label'   => __('H3 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '30',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h3_font_style',
							'label' => __('H3 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h3',
							'label' => __('H3 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'400',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h3',
							'label'   => __('H3 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h3',
							'label' => __('H3 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('H4 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h4_font_size',
							'label'   => __('H4 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '20',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h4_font_style',
							'label' => __('H4 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h4',
							'label' => __('H4 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'700',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h4',
							'label'   => __('H4 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h4',
							'label' => __('H4 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('H5 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h5_font_size',
							'label'   => __('H5 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '16',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h5_font_style',
							'label' => __('H5 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h5',
							'label' => __('H5 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'400',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h5',
							'label'   => __('H5 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h5',
							'label' => __('H5 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('H6 Options', 'odio'),
					'fields' => array(
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_h6_font_size',
							'label'   => __('H6 Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '12',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_typography_heading_h6_font_style',
							'label' => __('H6 Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_typography_heading_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_weight_h6',
							'label' => __('H6 Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_weight_list',
									),
								),
							),
							'default' => array(
								'800',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_typography_heading_line_height_h6',
							'label'   => __('H6 Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
						array(
							'type' => 'select',
							'name' => 'ozy_odio_typography_heading_font_ls_h6',
							'label' => __('H6 Letter Spacing', 'odio'),
							'default' => 'normal',
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_font_letter_spacing_list',
									),
								),
							),
						),
					),
				),


				array(
					'type' => 'section',
					'title' => __('Primary Menu Typography', 'odio'),
					'name' => 'ozy_odio_primary_menu_section_typography',
					'fields' => array(
						array(
							'type' => 'select',
							'name' => 'ozy_odio_primary_menu_typography_font_face',
							'label' => __('Font Face', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_gwf_family',
									),
								),
							),
							'default' => 'Oswald'
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_primary_menu_typography_font_style',
							'label' => __('Font Style', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_primary_menu_typography_font_face',
										'value' => 'vp_get_gwf_style',
									),
								),
							),
							'default' => array(
								'normal',
							),
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_primary_menu_typography_font_weight',
							'label' => __('Font Weight', 'odio'),
							'items' => array(
								'data' => array(
									array(
										'source' => 'binding',
										'field' => 'ozy_odio_primary_menu_typography_font_face',
										'value' => 'vp_get_gwf_weight',
									),
								),
							),
							'default' => array(
								'700',
							),
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_primary_menu_typography_font_size',
							'label'   => __('Font Size (px)', 'odio'),
							'min'     => '5',
							'max'     => '128',
							'default' => '16',
						),
						array(
							'type'    => 'slider',
							'name'    => 'ozy_odio_primary_menu_typography_line_height',
							'label'   => __('Line Height (em)', 'odio'),
							'min'     => '0',
							'max'     => '3',
							'default' => '1.5',
							'step'    => '0.1',
						),
					),
				),

			),
		),


		array(
			'title' => __('Layout', 'odio'),
			'name' => 'ozy_odio_layout',
			'icon' => 'font-awesome:fa-magic',
			'menus' => array(
				array(
					'title' => __('Primary Menu / Logo', 'odio'),
					'name' => 'ozy_odio_primary_menu',
					'icon' => 'font-awesome:fa-cogs',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Primary Menu', 'odio'),
							'name' => 'ozy_odio_section_header_layout',
							'fields' => array(
								array(
									'type'    => 'slider',
									'name'    => 'ozy_odio_primary_menu_height',
									'label'   => __('Menu / Logo Height', 'odio'),
									'description'   => __('Set this value to fit at least same as your logo height for perfect results', 'odio'),
									'min'     => '40',
									'max'     => '500',
									'default' => '90',
								),
								array(
									'type' => 'radiobutton',
									'name' => 'ozy_odio_primary_menu_search',
									'label' => __('Search Button / Box', 'odio'),
									'items' => array(
										array(
											'value' => '1',
											'label' => __('On', 'odio'),
										),
										array(
											'value' => '-1',
											'label' => __('Off', 'odio'),
										)
									),
									'default' => array(
										'1',
									),
								),
								array(
									'type' => 'radiobutton',
									'name' => 'ozy_odio_primary_menu_align',
									'label' => __('Menu Align', 'odio'),
									'items' => array(
										array(
											'value' => 'left',
											'label' => __('Left', 'odio'),
										),
										array(
											'value' => 'right',
											'label' => __('Right', 'odio'),
										)
									),
									'validation' => 'required',
									'default' => array(
										'right',
									),
								)
							),
						),
						array(
							'type' => 'section',
							'title' => __('Logo', 'odio'),
							'name' => 'ozy_odio_section_image_logo',
							'description' => __('You can use custom image logo for your site. To use this option, first activate \'Use Custom Logo\' switch', 'odio'),
							'fields' => array(
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_use_custom_logo',
									'label' => __('Use Custom Logo', 'odio'),
									'default' => 1,
									'description' => __('Use custom logo or text logo', 'odio'),
								),
								array(
									'type' => 'upload',
									'name' => 'ozy_odio_custom_logo',
									'label' => __('Custom Logo', 'odio'),
									'default' => OZY_BASE_URL . 'images/logo.gif',
									'dependency' => array(
										'field' => 'ozy_odio_use_custom_logo',
										'function' => 'vp_dep_boolean',
									),
									'description' => __('Upload or choose custom logo', 'odio'),
								),
								array(
									'type' => 'upload',
									'name' => 'ozy_odio_custom_logo_retina',
									'label' => __('Custom Logo Retina', 'odio'),
									'default' => OZY_BASE_URL . 'images/logo@2x.gif',
									'dependency' => array(
										'field' => 'ozy_odio_use_custom_logo',
										'function' => 'vp_dep_boolean',
									),
									'description' => __('Upload or choose custom 2x bigger logo', 'odio'),
								)
							),
						),
					),
				),


				array(
					'title' => __('Footer', 'odio'),
					'name' => 'ozy_odio_footer',
					'icon' => 'font-awesome:fa-cog',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Footer Layout', 'odio'),
							'name' => 'ozy_odio_section_footer_copyright',
							'fields' => $footer_copyright_array
						),
						array(
							'type' => 'section',
							'title' => __('Footer Layout', 'odio'),
							'name' => 'ozy_odio_section_footer_layout',
							'fields' => array(
								array(
									'type' => 'slider',
									'name' => 'ozy_odio_footer_height',
									'label' => __('Footer Height', 'odio'),
									'description' => __('Select height of your footer. Minimum value set to 30 and maximum set to 360. Will be processed in pixels.', 'odio'),
									'min' => '30',
									'max' => '360',
									'step' => '1',
									'default' => '56',
								),
							),
						),

					),
				),


				array(
					'title' => __('Content / Page / Post', 'odio'),
					'name' => 'ozy_odio_page',
					'icon' => 'font-awesome:fa-pencil',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Page Position / Layout', 'odio'),
							'name' => 'ozy_odio_page_section_position',
							'description' => __('Select position for your page content', 'odio'),
							'fields' => array(
								array(
									'type' => 'radiobutton',
									'name' => 'ozy_odio_page_model',
									'label' => __('Default Page Model', 'odio'),
									'items' => array(
										array(
											'value' => 'boxed',
											'label' => __('Boxed', 'odio'),
										),
										array(
											'value' => 'full',
											'label' => __('Full', 'odio'),
										),
									),
									'default' => array(
										'full',
									),
								),
							),
						),
						array(
							'type' => 'section',
							'title' => __('Custom 404 Page', 'odio'),
							'name' => 'ozy_odio_page_section_404_page',
							'description' => __('Select a page to use as your custom 404 (not found) page', 'odio'),
							'fields' => array(
								array(
									'type' => 'select',
									'name' => 'ozy_odio_page_404_page_id',
									'label' => __('Custom 404 Page', 'odio'),
									'description' => __('Select a page to use as custom 4040 page.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_bind_ozy_odio_pages',
											),
										),
									),
								)
							),
						),
						array(
							'type' => 'section',
							'title' => __('Page', 'odio'),
							'name' => 'ozy_odio_page_section_page_sidebar_position',
							'description' => __('Select position for your page sidebar', 'odio'),
							'fields' => array(
								array(
									'type' => 'radioimage',
									'name' => 'ozy_odio_page_page_sidebar_position',
									'label' => __('Default Sidebar Position', 'odio'),
									'description' => __('Select one of available header type.', 'odio'),
									'item_max_width' => '86',
									'items' => array(
										array(
											'value' => 'full',
											'label' => __('No Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/full-width.png',
										),
										array(
											'value' => 'left',
											'label' => __('Left Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/left-sidebar.png',
										),
										array(
											'value' => 'right',
											'label' => __('Right Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/right-sidebar.png',
										)
									),
									'default' => array(
										'{{first}}',
									),
								),
								array(
									'type' => 'select',
									'name' => 'ozy_odio_page_page_sidebar_id',
									'label' => __('Default Sidebar', 'odio'),
									'description' => __('This option could be overriden individually.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_bind_ozy_odio_sidebars',
											),
										),
									),
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_page_comment',
									'label' => __('Comments Section', 'odio'),
									'description' => __('Enable / Disable comment section on the pages', 'odio'),
									'default' => '0',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_page_author',
									'label' => __('Author Section', 'odio'),
									'description' => __('Enable / Disable author section on the pages', 'odio'),
									'default' => '0',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_page_comment_closed',
									'label' => __('Show Comments Closed Message', 'odio'),
									'description' => __('Whenever comments closed on a page or post a message appears, you can hide it.', 'odio'),
									'default' => '0',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_page_share',
									'label' => __('Share Buttons', 'odio'),
									'description' => __('Enable / Disable share buttons for pages.', 'odio'),
									'default' => '0',
								)
							),
						),
						array(
							'type' => 'section',
							'title' => __('Blog', 'odio'),
							'name' => 'ozy_odio_page_section_blog_sidebar_position',
							'description' => __('Select position for your blog page sidebar', 'odio'),
							'fields' => array(
								array(
									'type' => 'radioimage',
									'name' => 'ozy_odio_page_blog_sidebar_position',
									'label' => __('Defaul Sidebar Position', 'odio'),
									'description' => __('Select one of available header type.', 'odio'),
									'item_max_width' => '86',
									'items' => array(
										array(
											'value' => 'full',
											'label' => __('No Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/full-width.png',
										),
										array(
											'value' => 'left',
											'label' => __('Left Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/left-sidebar.png',
										),
										array(
											'value' => 'right',
											'label' => __('Right Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/right-sidebar.png',
										)
									),
									'default' => array(
										'{{first}}',
									),
								),
								array(
									'type' => 'select',
									'name' => 'ozy_odio_page_blog_sidebar_id',
									'label' => __('Default Sidebar', 'odio'),
									'description' => __('This option could be overriden individually.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_bind_ozy_odio_sidebars',
											),
										),
									),
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_blog_comment',
									'label' => __('Comments Section', 'odio'),
									'description' => __('Enable / Disable comment section on the blog posts', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_blog_author',
									'label' => __('Author Section', 'odio'),
									'description' => __('Enable / Disable author section on the blog posts', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_blog_share',
									'label' => __('Share Buttons', 'odio'),
									'description' => __('Enable / Disable share buttons for posts.', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_page_blog_related_posts',
									'label' => __('Related Posts', 'odio'),
									'description' => __('Enable / Disable related posts.', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'select',
									'name' => 'ozy_odio_page_blog_list_page_id',
									'label' => __('Default Listing Page', 'odio'),
									'description' => __('Select a page to use as "Return to Blog" link.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_bind_ozy_odio_pages',
											),
										),
									),
								)
							),
						),
						array(
							'type' => 'section',
							'title' => __('WooCommerce', 'odio'),
							'name' => 'ozy_odio_page_section_woocommerce_sidebar_position',
							'description' => __('Select position for your WooCommerce page sidebar', 'odio'),
							'fields' => array(
								array(
									'type' => 'radioimage',
									'name' => 'ozy_odio_page_woocommerce_sidebar_position',
									'label' => __('Default Sidebar Position', 'odio'),
									'description' => __('Select one of available header type.', 'odio'),
									'item_max_width' => '86',
									'items' => array(
										array(
											'value' => 'full',
											'label' => __('No Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/full-width.png',
										),
										array(
											'value' => 'left',
											'label' => __('Left Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/left-sidebar.png',
										),
										array(
											'value' => 'right',
											'label' => __('Right Sidebar', 'odio'),
											'img' => OZY_BASE_URL . 'admin/images/right-sidebar.png',
										)
									),
									'default' => array(
										'{{first}}',
									),
								),
								array(
									'type' => 'select',
									'name' => 'ozy_odio_page_woocommerce_sidebar_id',
									'label' => __('Default Sidebar', 'odio'),
									'description' => __('This option could be overriden individually.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_bind_ozy_odio_sidebars',
											),
										),
									),
								),
							),
						),
					),
				),


				array(
					'title' => __('Miscellaneous', 'odio'),
					'name' => 'ozy_odio_misc',
					'icon' => 'font-awesome:fa-puzzle-piece',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Fancy Box (Lightbox)', 'odio'),
							'name' => 'ozy_odio_section_fancybox_layout',
							'fields' => array(
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_fancbox_media',
									'label' => __('Video Support', 'odio'),
									'description' => __('By enabling this option Fancybox will start to support popular media links.', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_fancbox_thumbnail',
									'label' => __('Thumbnail', 'odio'),
									'description' => __('Enable this option to show thumnails under your Fancybox window.', 'odio'),
									'default' => '0',
								),
							),
						),
					),
				),
				array(
					'title' => __('Countdown Page', 'odio'),
					'name' => 'ozy_odio_countdown',
					'icon' => 'font-awesome:fa-clock-o',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Countdown Page Options', 'odio'),
							'name' => 'ozy_odio_section_countdown',
							'fields' => array(
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_year',
									'label' => __('End Year', 'odio'),
									'description' => __('Enter the Year of the date counter will count to.', 'odio'),
									'default' => date('Y', time())
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_month',
									'label' => __('End Month', 'odio'),
									'description' => __('Enter the Month of the date counter will count to.', 'odio'),
									'default' => date('m', time())
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_day',
									'label' => __('End Day', 'odio'),
									'description' => __('Enter the Day of the date counter will count to.', 'odio'),
									'default' => '15'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_hour',
									'label' => __('End Hour', 'odio'),
									'description' => __('Enter the Hour of the date counter will count to.', 'odio'),
									'default' => '12'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_minute',
									'label' => __('End Minute', 'odio'),
									'description' => __('Enter the Minute of the date counter will count to.', 'odio'),
									'default' => '12'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_countdown_second',
									'label' => __('End Second', 'odio'),
									'description' => __('Enter the Second of the date counter will count to.', 'odio'),
									'default' => '00'
								)
							),
						),

					),
				),
			),
		),
		array(
			'name' => 'ozy_odio_color_options',
			'title' => __('Color Options', 'odio'),
			'icon' => 'font-awesome:fa-eye',
			'controls' => array(

				array(
					'type' => 'section',
					'title' => __('GENERIC', 'odio'),
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_background_color',
							'label' => __('Content Background', 'odio'),
							'format' => 'rgba',
							'default' => 'rgba(255,255,255,1)'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color',
							'label' => __('Content Color', 'odio'),
							'description' => __('Font color of the content', 'odio'),
							'format' => 'hex',
							'default' => '#000000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_link_color',
							'label' => __('Content Link Color', 'odio'),
							'description' => __('Font color of the content links', 'odio'),
							'format' => 'hex',
							'default' => '#ffa100'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate',
							'label' => __('Alternate Color #1', 'odio'),
							'description' => __('Like link color, hover color and input elements active border', 'odio'),
							'format' => 'hex',
							'default' => '#fff000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate2',
							'label' => __('Alternate Color #2', 'odio'),
							'description' => __('Like footer, footer sidebar title color, text color and seperator color', 'odio'),
							'format' => 'hex',
							'default' => '#000000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate3',
							'label' => __('Alternate Color #3', 'odio'),
							'description' => __('Like footer sidebar link color', 'odio'),
							'format' => 'hex',
							'default' => '#ffffff'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_background_color_alternate',
							'label' => __('Alternate Background Color', 'odio'),
							'description' => __('Like comments background color', 'odio'),
							'format' => 'rgba',
							'default' => 'rgba(240,240,240,1)'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_separator_color',
							'label' => __('Separator / Border Color', 'odio'),
							'description' => __('Used for, Primary menu, in page Seperators and Comments bottom border', 'odio'),
							'default' => 'rgba(240,240,240,1)',
							'format' => 'rgba'
						),
					),
				),

				array(
					'type' => 'section',
					'title' => __('Primary Menu', 'odio'),
					'name' => 'ozy_odio_primary_menu_section_colors',
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_logo_color',
							'label' => __('Text Logo Color', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
							'description' => 'Available only when one or both logo image not supplied',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_font_color',
							'label' => __('Font Color', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_font_color_hover',
							'label' => __('Font Color : Hover / Active', 'odio'),
							'default' => 'rgba(255,240,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_background_color',
							'label' => __('Background Color', 'odio'),
							'default' => 'rgba(255,255,255,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_background_color_hover',
							'label' => __('Background Color : Hover / Active', 'odio'),
							'default' => 'rgba(32,32,32,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_separator_color_2',
							'label' => __('Separator Color', 'odio'),
							'default' => 'rgba(87,87,87,1)',
							'format' => 'rgba',
						),

						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_gradient_color_1',
							'label' => __('Gradient Start Color', 'odio'),
							'default' => '#434343',
							'format' => 'hex',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_gradient_color_2',
							'label' => __('Gradient End Color', 'odio'),
							'default' => '#1d1d1d',
							'format' => 'hex',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_gradient_font_color',
							'label' => __('Gradient Font Color', 'odio'),
							'default' => '#ffffff',
							'format' => 'hex',
						),

					),
				),



				array(
					'type' => 'section',
					'title' => __('Side Menu', 'odio'),
					'name' => 'ozy_odio_side_menu_section_colors',
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_side_menu_font_color',
							'label' => __('Font Color', 'odio'),
							'default' => 'rgba(255,255,255,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_side_menu_font_color_alternate',
							'label' => __('Alternate Font Color', 'odio'),
							'default' => 'rgba(255,240,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_side_menu_background_color',
							'label' => __('Background Color', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_side_menu_background_image',
							'label' => __('Background Image', 'odio'),
							'description' => __('Upload or choose custom page background image.', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/assets/dark_grunge_wall.png',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_side_menu_background_image_size',
							'label' => __('Background Image Size', 'odio'),
							'description' => __('Only available on browsers which supports CSS3.', 'odio'),
							'items' => array(
								array(
									'value' => '',
									'label' => __('-not set-', 'odio'),
								),
								array(
									'value' => 'cover',
									'label' => __('cover', 'odio'),
								),
								array(
									'value' => 'contain',
									'label' => __('contain', 'odio'),
								)
							),
							'default' => 'cover',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_side_menu_background_image_repeat',
							'label' => __('Background Image Repeat', 'odio'),
							'items' => array(
								array(
									'value' => 'no-repeat',
									'label' => __('no-repeat', 'odio'),
								),
								array(
									'value' => 'repeat',
									'label' => __('repeat', 'odio'),
								),
								array(
									'value' => 'repeat-x',
									'label' => __('repeat-x', 'odio'),
								),
								array(
									'value' => 'repeat-y',
									'label' => __('repeat-y', 'odio'),
								)
							),
							'default' => 'no-repeat',
						),

					),
				),


				array(
					'type' => 'section',
					'title' => __('Footer', 'odio'),
					'name' => 'ozy_odio_footer_section_colors',
					'fields' => array(
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_footer_background_image',
							'label' => __('Background Image', 'odio'),
							'description' => __('Upload or choose custom page background image.', 'odio'),
							'default' => OZY_BASE_URL . 'images/assets/footer_bg.jpg'
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_footer_background_image_size',
							'label' => __('Background Image Size', 'odio'),
							'description' => __('Only available on browsers which supports CSS3.', 'odio'),
							'items' => array(
								array(
									'value' => '',
									'label' => __('-not set-', 'odio'),
								),
								array(
									'value' => 'cover',
									'label' => __('cover', 'odio'),
								),
								array(
									'value' => 'contain',
									'label' => __('contain', 'odio'),
								)
							),
							'default' => 'cover',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_footer_background_image_repeat',
							'label' => __('Background Image Repeat', 'odio'),
							'items' => array(
								array(
									'value' => 'no-repeat',
									'label' => __('no-repeat', 'odio'),
								),
								array(
									'value' => 'repeat',
									'label' => __('repeat', 'odio'),
								),
								array(
									'value' => 'repeat-x',
									'label' => __('repeat-x', 'odio'),
								),
								array(
									'value' => 'repeat-y',
									'label' => __('repeat-y', 'odio'),
								)
							),
							'default' => 'no-repeat',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_footer_color_1',
							'label' => __('Background Color', 'odio'),
							'default' => 'rgba(23,27,38,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_footer_color_2',
							'label' => __('Foreground Color', 'odio'),
							'default' => '#ffffff',
							'format' => 'hex',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_footer_color_3',
							'label' => __('Alternate Color', 'odio'),
							'default' => '#fff000',
							'format' => 'hex',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_footer_color_4',
							'label' => __('Separator Color', 'odio'),
							'default' => '#2f323c',
							'format' => 'hex',
						)
					),
				),
				array(
					'type' => 'section',
					'title' => __('Form', 'odio'),
					'name' => 'ozy_odio_form_section_coloring',
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_font_color',
							'label' => __('Font Color', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_background_color',
							'label' => __('Background Color', 'odio'),
							'default' => 'rgba(255,255,255,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_font_color',
							'label' => __('Font Color (Button)', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_font_color_hover',
							'label' => __('Font Color : Hover / Active (Button)', 'odio'),
							'default' => 'rgba(255,240,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_background_color',
							'label' => __('Background Color (Button)', 'odio'),
							'default' => 'rgba(255,240,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_background_color_hover',
							'label' => __('Background Color : Hover / Active (Button)', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('Background Styling', 'odio'),
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_body_background_color',
							'label' => __('Background Color', 'odio'),
							'description' => __('This option will affect only page background.', 'odio'),
							'default' => '#505050',
							'format' => 'hex',
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_odio_body_background_image',
							'label' => __('Custom Background Image', 'odio'),
							'description' => __('Upload or choose custom page background image.', 'odio'),
							'default' => get_stylesheet_directory_uri() . '/images/assets/blog_bg.png'
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_body_background_image_size',
							'label' => __('Background Image Size', 'odio'),
							'description' => __('Only available on browsers which supports CSS3.', 'odio'),
							'items' => array(
								array(
									'value' => '',
									'label' => __('-not set-', 'odio'),
								),
								array(
									'value' => 'cover',
									'label' => __('cover', 'odio'),
								),
								array(
									'value' => 'contain',
									'label' => __('contain', 'odio'),
								)
							),
							'default' => '{{first}}',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_body_background_image_repeat',
							'label' => __('Background Image Repeat', 'odio'),
							'items' => array(
								array(
									'value' => 'inherit',
									'label' => __('inherit', 'odio'),
								),
								array(
									'value' => 'no-repeat',
									'label' => __('no-repeat', 'odio'),
								),
								array(
									'value' => 'repeat',
									'label' => __('repeat', 'odio'),
								),
								array(
									'value' => 'repeat-x',
									'label' => __('repeat-x', 'odio'),
								),
								array(
									'value' => 'repeat-y',
									'label' => __('repeat-y', 'odio'),
								)
							),
							'default' => '{{first}}',
						),
						array(
							'type' => 'radiobutton',
							'name' => 'ozy_odio_body_background_image_attachment',
							'label' => __('Background Image Attachment', 'odio'),
							'items' => array(
								array(
									'value' => '',
									'label' => __('-not set-', 'odio'),
								),
								array(
									'value' => 'fixed',
									'label' => __('fixed', 'odio'),
								),
								array(
									'value' => 'scroll',
									'label' => __('scroll', 'odio'),
								),
								array(
									'value' => 'local',
									'label' => __('local', 'odio')
								)
							),
							'default' => '{{first}}',
						),
					),
				),

			),
		),

		array(
			'name' => 'ozy_odio_color_options_dark',
			'title' => __('Dark : Color Options', 'odio'),
			'icon' => 'font-awesome:fa-eye',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('GENERIC', 'odio'),
					'description' => __('This color scheme will be applied only on Default : Dark page template', 'odio'),
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_background_color_dark',
							'label' => __('Content Background', 'odio'),
							'format' => 'rgba',
							'default' => 'rgba(255,255,255,1)'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_dark',
							'label' => __('Content Color', 'odio'),
							'description' => __('Font color of the content', 'odio'),
							'format' => 'hex',
							'default' => '#545454'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_link_color_dark',
							'label' => __('Content Link Color', 'odio'),
							'description' => __('Font color of the content links', 'odio'),
							'format' => 'hex',
							'default' => '#fff000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate_dark',
							'label' => __('Alternate Color #1', 'odio'),
							'description' => __('Like link color, hover color and input elements active border', 'odio'),
							'format' => 'hex',
							'default' => '#fff000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate2_dark',
							'label' => __('Alternate Color #2', 'odio'),
							'description' => __('Like footer, footer sidebar title color, text color and seperator color', 'odio'),
							'format' => 'hex',
							'default' => '#000000'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_color_alternate3_dark',
							'label' => __('Alternate Color #3', 'odio'),
							'description' => __('Like footer sidebar link color', 'odio'),
							'format' => 'hex',
							'default' => '#ffffff'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_content_background_color_alternate_dark',
							'label' => __('Alternate Background Color', 'odio'),
							'description' => __('Like comments background color', 'odio'),
							'format' => 'rgba',
							'default' => 'rgba(240,240,240,1)'
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_primary_menu_separator_color_dark',
							'label' => __('Separator / Border Color', 'odio'),
							'description' => __('Used for, Primary menu, in page Seperators and Comments bottom border', 'odio'),
							'default' => 'rgba(240,240,240,1)',
							'format' => 'rgba'
						),
					),
				),
				array(
					'type' => 'section',
					'title' => __('Form', 'odio'),
					'description' => __('This color scheme will be applied only on Default : Dark page template', 'odio'),
					'name' => 'ozy_odio_form_section_coloring_dark',
					'fields' => array(
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_font_color_dark',
							'label' => __('Font Color', 'odio'),
							'default' => 'rgba(255,255,255,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_background_color_dark',
							'label' => __('Background Color', 'odio'),
							'default' => 'rgba(255,255,255,0)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_font_color_dark',
							'label' => __('Font Color (Button)', 'odio'),
							'default' => 'rgba(255,255,255,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_font_color_hover_dark',
							'label' => __('Font Color : Hover / Active (Button)', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_background_color_dark',
							'label' => __('Background Color (Button)', 'odio'),
							'default' => 'rgba(255,240,0,1)',
							'format' => 'rgba',
						),
						array(
							'type' => 'color',
							'name' => 'ozy_odio_form_button_background_color_hover_dark',
							'label' => __('Background Color : Hover / Active (Button)', 'odio'),
							'default' => 'rgba(0,0,0,1)',
							'format' => 'rgba',
						),
					),
				),
			)
		),

		array(
			'title' => __('Social', 'odio'),
			'name' => 'ozy_odio_typography',
			'icon' => 'font-awesome:fa-group',
			'menus' => array(
				array(
					'title' => __('Accounts', 'odio'),
					'name' => 'ozy_odio_social_accounts',
					'icon' => 'font-awesome:fa-heart-o',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Social Accounts', 'odio'),
							'description' => __('Enter social account names/IDs box below', 'odio'),
							'fields' => array(
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_fivehundredpx',
									'label' => __('500px', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_behance',
									'label' => __('Behance', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_blogger',
									'label' => __('Blogger', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_delicious',
									'label' => __('Delicious', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_deviantart',
									'label' => __('DeviantArt', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_digg',
									'label' => __('Digg', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_dribble',
									'label' => __('Dribble', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_email',
									'label' => __('Email', 'odio'),
									'default' => '#'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_facebook',
									'label' => __('Facebook', 'odio'),
									'default' => '#'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_flickr',
									'label' => __('Flickr', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_forrst',
									'label' => __('Forrst', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_foursquare',
									'label' => __('Foursquare', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_github',
									'label' => __('Github', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_googleplus',
									'label' => __('Google+', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_instagram',
									'label' => __('Instagram', 'odio'),
									'default' => '#'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_lastfm',
									'label' => __('Last.FM', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_linkedin',
									'label' => __('LinkedIn', 'odio')
								),

								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_myspace',
									'label' => __('MySpace', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_pinterest',
									'label' => __('Pinterest', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_rss',
									'label' => __('RSS', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_soundcloud',
									'label' => __('SoundCloud', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_stumbleupon',
									'label' => __('StumbleUpon', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_tumblr',
									'label' => __('Tumblr', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_twitter',
									'label' => __('Twitter', 'odio'),
									'default' => '#'
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_vimeo',
									'label' => __('Vimeo', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_vk',
									'label' => __('VK', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_wordpress',
									'label' => __('WordPress', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_yahoo',
									'label' => __('Yahoo!', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_yelp',
									'label' => __('Yelp (Please use full URL)', 'odio')
								),
								array(
									'type' => 'textbox',
									'name' => 'ozy_odio_social_accounts_youtube',
									'label' => __('Youtube', 'odio')
								),
							),
						),
					),
				),
				array(
					'title' => __('General', 'odio'),
					'name' => 'ozy_odio_social_general',
					'icon' => 'font-awesome:fa-group',
					'controls' => array(
						array(
							'type' => 'section',
							'title' => __('Social Icons', 'odio'),
							'fields' => array(
								array(
									'type' => 'toggle',
									'name' => 'ozy_odio_social_use',
									'label' => __('Social Share Buttons', 'odio'),
									'description' => __('Enable / Disable social share buttons.', 'odio'),
									'default' => '1',
								),
								array(
									'type' => 'sorter',
									'name' => 'ozy_odio_social_icon_order',
									'max_selection' => 20,
									'label' => __('Icon List / Order', 'odio'),
									'description' => __('Select visible icons and sort.', 'odio'),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_get_social_medias',
											),
										),
									),
									'default' => array('email', 'facebook', 'instagram', 'twitter')
								),
								array(
									'type' => 'select',
									'name' => 'ozy_odio_social_icon_target',
									'label' => __('Target Window', 'odio'),
									'description' => __('Where links will be opened?', 'odio'),
									'items' => array(
										array(
											'value' => '_blank',
											'label' => __('Blank Window / New Tab', 'odio'),
										),
										array(
											'value' => '_self',
											'label' => __('Self Window', 'odio'),
										),
									),
									'default' => array(
										'_blank',
									),
								),
							),
						),
					),
				),
			),
		),
	)
);

return $ozy_odio_option_arr;

/**
 *EOF
 */
