<?php
// Output option-based style
if( !function_exists( 'ozy_odio_style') ) :
	function ozy_odio_style() {
		global $ozyHelper, $ozy_data;

		$dark_light = '';
		if(is_page_template('page-dark.php')) {$dark_light = '_dark';}

		// is page based styling enabled?
		$body_style = $content_background_color = $transparent_content_background = '';
		$page_id = get_the_ID();

		$shop_page_id = ozy_get_woocommerce_page_id();
		if ($shop_page_id > 0) { $page_id = $shop_page_id; }

		if(vp_metabox('ozy_odio_meta_page.ozy_odio_meta_page_use_custom_style', null, $page_id) == '1') {
			$_var = 'ozy_odio_meta_page.ozy_odio_meta_page_layout_group.0.ozy_odio_meta_page_layout_';
			$content_background_color 		= vp_metabox($_var . 'ascend_background', null, $page_id);
			$transparent_content_background = vp_metabox($_var . 'transparent_background', null, $page_id);
		}else{
			$content_background_color 		= ozy_get_option('content_background_color' . $dark_light, null, $page_id);
		}

		if(vp_metabox('ozy_odio_meta_page.ozy_odio_meta_page_use_custom_background', null, $page_id) == '1' && !is_search()) {
			$_var = 'background_group.0.ozy_odio_meta_page_background_';
			$body_style = $ozyHelper->background_style_render(
				ozy_get_metabox($_var . 'color', null, $page_id),
				ozy_get_metabox($_var . 'image', null, $page_id),
				ozy_get_metabox($_var . 'image_size', null, $page_id),
				ozy_get_metabox($_var . 'image_repeat', null, $page_id),
				ozy_get_metabox($_var . 'image_attachment', null, $page_id),
				false,
				ozy_get_metabox($_var . 'image_pos_x', null, $page_id),
				ozy_get_metabox($_var . 'image_pos_y', null, $page_id)
			);
		}else{
			$_var = 'body_background_';
			$body_style = $ozyHelper->background_style_render(
				ozy_get_option($_var . 'color', null, $page_id),
				ozy_get_option($_var . 'image', null, $page_id),
				ozy_get_option($_var . 'image_size', null, $page_id),
				ozy_get_option($_var . 'image_repeat', null, $page_id),
				ozy_get_option($_var . 'image_attachment', null, $page_id)
			);
		}

	?>
		<style type="text/css">
			@media only screen and (min-width: 1212px) {
				.container{padding:0;width:<?php echo $ozy_data->container_width; ?>px;}
				#content{width:<?php echo $ozy_data->content_width; ?>px;}
				#sidebar{width:<?php echo $ozy_data->sidebar_width; ?>px;}
			}

			<?php
				if(ozy_get_option('primary_menu_side_menu') === '-1') {
			?>
				@media only screen and (min-width: 960px) {
					#nav-primary>nav>div>ul>li.menu-item-side-menu{display:none !important;}
				}
			<?php
				}
			?>

			/* Body Background Styling
			/*-----------------------------------------------------------------------------------*/
			<?php if(!is_admin()) { ?>
			body{<?php echo $body_style; ?>}			
			<?php
			if(vp_metabox('ozy_odio_meta_page.ozy_odio_meta_page_use_sidebar_background', null, $page_id) == '1') {
				echo '#sidebar{background-color:'. vp_metabox('ozy_odio_meta_page.ozy_odio_meta_page_sidebar_background', null, $page_id) .';padding:20px;margin-bottom:40px;}';
			}
			?>
			/* Layout and Layout Styling
			/*-----------------------------------------------------------------------------------*/
			#main,
			.main-bg-color{
				background-color:<?php echo $content_background_color ?>;
			}
			<?php } ?>			
			#main.header-slider-active>.container,
			#main.footer-slider-active>.container{
				padding-top:40px;
				margin-top:0px;
			}
			.ozy-header-slider{
				margin-top:<?php echo ozy_get_option('header_height')?>px;
			}
			#footer .top-social-icons>a>span {
				line-height:<?php echo (int)ozy_get_option('footer_height')?>px;
			}
			@-moz-document url-prefix() {
				#footer .top-social-icons>a>span{line-height:<?php echo (int)ozy_get_option('footer_height')?>px;}
			}

			#footer-wrapper {
				<?php
					$footer_background_image 		= ozy_get_option('footer_background_image');
					$footer_background_image_size 	= ozy_get_option('footer_background_image_size', 'cover');
					$footer_background_image_repeat = ozy_get_option('footer_background_image_repeat', 'no-repeat');
					$footer_background_color 		= ozy_get_option('footer_color_1', 'rgba(0,0,0,1)');
					if($footer_background_image) {
						echo 'background:'. $footer_background_color .' url('. $footer_background_image .') repeat center center;background-size:'. $footer_background_image_size .';background-repeat:'. $footer_background_image_repeat .';';
					}else{
						echo 'background-color:'. $footer_background_color .';';
					}
				?>
			}
			#footer *,
			#footer-widget-bar *,
			#to-top-button>span {
				color:<?php echo ozy_get_option('footer_color_2', '#ffffff');?> !important;
			}
			#to-top-button{border-color:<?php echo ozy_get_option('footer_color_2', '#ffffff');?> !important;}
			#to-top-button>svg{fill:<?php echo ozy_get_option('footer_color_2', '#ffffff');?> !important;}
			#footer-widget-bar ul.menu li,
			#footer-widget-bar .fattext-box,
			#to-top-button>span {
				<?php
				echo $ozyHelper->font_style_render(
					ozy_get_option('primary_menu_typography_font_face'),
					ozy_get_option('primary_menu_typography_font_weight'),
					ozy_get_option('primary_menu_typography_font_style'),
					ozy_get_option('primary_menu_typography_font_size') . 'px',
					'',
					ozy_get_option('primary_menu_font_color')
				);
				?>
			}
			#footer a:hover,
			#footer-widget-bar a:hover {
				color:<?php echo ozy_get_option('footer_color_3', '#ff0000');?> !important;
			}
			#footer a,
			#footer-widget-bar a {
				color:<?php echo ozy_get_option('footer_color_3', '#f33337');?>
			}
			#footer-widget-bar input {
				border-color:<?php echo ozy_get_option('footer_color_2', '#ffffff');?> !important;
			}
		<?php echo $transparent_content_background == '1' ? '	#main>.container{background-color:transparent !important;-webkit-box-shadow:none !important;-moz-box-shadow:none !important;box-shadow:none !important;}' . PHP_EOL : '' ?>
			@media only screen and (max-width: 479px) {
				/*#footer{height:<?php echo (int)ozy_get_option('footer_height')*2;?>px;}*/
				#main>.container{margin-top:<?php echo ozy_get_option('header_height');?>px;}
			}
			@media only screen and (max-width: 1024px) and (min-width: 480px) {
				#header #title{padding-right:<?php echo (int)(ozy_get_option('header_height')+20);?>px;}
				#header #title>a{line-height:<?php echo ozy_get_option('header_height');?>px;}
				#main>.container{margin-top:<?php echo ozy_get_option('header_height');?>px;}
				/*#footer{height:<?php echo ozy_get_option('footer_height');?>px;}*/
			}

		<?php
		if(is_woocommerce_activated()){ //ozy_get_woocommerce_page_id()) {
		?>
			/* WooCommerce
			/*-----------------------------------------------------------------------------------*/
			body.woocommerce-page #main{background-color:transparent!important}
			body.woocommerce-page #main>.container,
			#page-title-wrapper{background-color:<?php echo ozy_get_option('content_background_color' . $dark_light, '#fff'); ?>}
			.ozy-product-overlay .button:hover{
				background-color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('primary_menu_background_color'))?> !important;
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('primary_menu_font_color_hover'))?> !important;
				border:1px solid <?php echo ozy_get_option('primary_menu_background_color')?> !important;
			}
			.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
			.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active,
			.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active,
			.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
				border-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}
			.woocommerce div.product .woocommerce-tabs ul.tabs li,
			.woocommerce-page div.product .woocommerce-tabs ul.tabs li,
			.woocommerce #content div.product .woocommerce-tabs ul.tabs li,
			.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li{
				border-color:<?php echo ozy_get_option('primary_menu_separator_color') ?>;
			}
			.woocommerce span.onsale,
			.woocommerce-page span.onsale,
			.woocommerce ul.products li.product .onsale,
			.woocommerce-page ul.products li.product .onsale {
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
				color:<?php echo ozy_get_option('content_color_alternate2' . $dark_light) ?> !important;
			}
			.woocommerce div.product span.price,
			.woocommerce-page div.product span.price,
			.woocommerce #content div.product span.price,
			.woocommerce-page #content div.product span.price,
			.woocommerce div.product p.price,
			.woocommerce-page div.product p.price,
			.woocommerce #content div.product p.price,
			.woocommerce-page #content div.product p.price,
			.woocommerce div.product .woocommerce-tabs ul.tabs li a,
			.woocommerce-page div.product .woocommerce-tabs ul.tabs li a,
			.woocommerce #content div.product .woocommerce-tabs ul.tabs li a,
			.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}
			.woocommerce-pagination>ul>li>a,
			.woocommerce-pagination>ul>li>span{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}
			.ozy-popup-lightbox-center h3:first-letter,
			.ozy-popup-lightbox-center ul.cart_list.product_list_widget>li{
				border-color:<?php echo  $ozyHelper->hex2rgba(ozy_get_option('content_color' . $dark_light),'.2') ?>;
			}

			.woocommerce-page .button,
			body.woocommerce-page input[type=button],
			body.woocommerce-page input[type=submit],
			body.woocommerce-page button[type=submit]{
				background:<?php echo ozy_get_option('form_button_background_color' . $dark_light)?> !important;
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_font_color' . $dark_light))?> !important;
				border:1px solid <?php echo ozy_get_option('form_button_background_color' . $dark_light)?> !important;
			}
			.woocommerce-page .button:hover,
			body.woocommerce-page input[type=button]:hover,
			body.woocommerce-page input[type=submit]:hover,
			body.woocommerce-page button[type=submit]:hover{
				background:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color_hover' . $dark_light))?> !important;
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_font_color_hover' . $dark_light))?> !important;
				border:1px solid <?php echo ozy_get_option('form_button_background_color_hover' . $dark_light)?> !important;
			}

		<?php } ?>

			/* Primary Menu Styling
			/*-----------------------------------------------------------------------------------*/
		<?php
			$menu_logo_height = ozy_get_option('primary_menu_height', '100') . 'px';
		?>

			#top-menu .logo>h1>a,
			#top-menu .logo2>h1>a{
				color:<?php echo ozy_get_option('primary_menu_logo_color')?> !important;
			}

			#top-menu,
			#top-menu .logo,
			#top-menu>ul,
			#top-menu>ul>li,
			#top-menu>ul>li>a,
			#top-menu>ul>li>a:before,
			#top-menu>ul>li>a:after,
			#top-menu>ul>li>.submenu-button{
				height:44px;
				line-height:44px;
				<?php
				echo $ozyHelper->font_style_render(
					ozy_get_option('primary_menu_typography_font_face'),
					ozy_get_option('primary_menu_typography_font_weight'),
					ozy_get_option('primary_menu_typography_font_style'),
					ozy_get_option('primary_menu_typography_font_size') . 'px',
					'',
					ozy_get_option('primary_menu_font_color')
				);
				?>
			}
			nav#top-menu .right-part>ul>li,
			nav#top-menu .right-part>ul>li>a,
			#top-menu,
			#top-menu .logo {
				line-height:<?php echo $menu_logo_height ?>;
				height:<?php echo $menu_logo_height ?>;
				<?php
				echo $ozyHelper->font_style_render(
					ozy_get_option('primary_menu_typography_font_face'),
					ozy_get_option('primary_menu_typography_font_weight'),
					ozy_get_option('primary_menu_typography_font_style'),
					ozy_get_option('primary_menu_typography_font_size') . 'px',
					'',
					ozy_get_option('primary_menu_font_color')
				);
				?>
			}
			#top-menu ul ul li a{
				color:<?php echo ozy_get_option('primary_menu_font_color') ?>;
			}
			#top-menu ul li>a:before,
			#top-menu ul li>a:after,
			#top-menu span.submenu-button:before,
			#top-menu span.submenu-button:after,
			#top-menu .menu-button:before,
			#top-menu .menu-button.menu-opened:after {
				background-color:<?php echo ozy_get_option('primary_menu_font_color') ?> !important;
			}
			#top-menu span.submenu-button.submenu-opened:after {
				background-color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?> !important;
			}
			#top-menu .menu-button:after,
			#top-menu .menu-item-search>a>span,
			#top-menu .menu-item-wpml>a>span {
				border-color:<?php echo ozy_get_option('primary_menu_font_color') ?> !important;
			}
			@media screen and (max-width:1280px){
				#top-menu #head-mobile {
					line-height:72px;
					min-height:72px;
				}
				#top-menu>ul>li {
					height:auto !important;
				}
				#top-menu,
				#top-menu ul li{
					background-color:<?php echo ozy_get_option('primary_menu_background_color') ?>;
				}
				#header {
					position:relative !important;
				}
				#top-menu>ul>li.sub-active {
					background-color:<?php echo ozy_get_option('primary_menu_background_color_hover') ?>;
				}
				#top-menu>ul>li:hover>a,
				#top-menu ul ul li:hover>a,
				#top-menu>ul>li.active>a,
				#top-menu ul ul li.current-menu-parent>a,
				#top-menu ul ul li.current-menu-item>a,
				#top-menu ul li.sub-active>a{
					color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?>;
					background-color:<?php echo ozy_get_option('primary_menu_background_color_hover') ?>;
				}
			}
			#header>header>#top-menu,
			#top-menu ul ul li{
				background-color:<?php echo ozy_get_option('primary_menu_background_color') ?>;
				--menu-bg-color:<?php echo ozy_get_option('primary_menu_background_color') ?>;
			}
			#top-menu ul ul li:hover{
				background-color:<?php echo ozy_get_option('primary_menu_background_color_hover') ?>;
				color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?>;
			}
			#top-menu ul ul li:hover>a,
			#top-menu ul ul>li.active>a,
			#top-menu ul ul li.current-menu-parent>a,
			#top-menu ul ul li.current-menu-item>a,
			#top-menu ul li.sub-active>a{
				color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?>;
			}
			#top-menu>ul ul>li.current-menu-parent>a:before,
			#top-menu>ul ul>li.current-menu-parent>a:after,
			#top-menu>ul ul>li.current-menu-item>a:before,
			#top-menu>ul ul>li.current-menu-item>a:after,
			#top-menu>ul ul>li:hover>a:before,
			#top-menu>ul ul>li:hover>a:after{
				background-color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?> !important;
			}
			li.menu-item-side-menu .menu span:after {
				background-color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?> !important;
			}
			#top-menu .right-part>ul>li>a:hover{
				color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?> !important;
			}
			/*#header,*/
			#top-menu ul ul li a{
				border-color:<?php echo $ozyHelper->change_opacity(ozy_get_option('primary_menu_separator_color_2'), '0.3')?>;
			}
			nav#top-menu .right-part>ul>li.separator>span,
			#top-menu > ul > li > a > span.s{border-color:<?php echo ozy_get_option('primary_menu_separator_color_2')?>}
			li.menu-item-wc>a>span{
				background-color:<?php echo ozy_get_option('primary_menu_font_color_hover') ?> !important;
				color:<?php echo ozy_get_option('primary_menu_font_color') ?> !important;
			}
			<?php
			$gradient_start_color = ozy_get_option('primary_menu_gradient_color_1', '#434343');
			$gradient_end_color = ozy_get_option('primary_menu_gradient_color_2', '#1d1d1d');
			$gradient_font_color = ozy_get_option('primary_menu_gradient_font_color', '#ffffff');

			echo 'nav#top-menu .right-part>ul>li>a{color:'. $gradient_font_color .'}';

			echo
			"nav#top-menu .right-part>div {
				background: $gradient_start_color;
				background: -moz-linear-gradient(top,  $gradient_start_color 0%, $gradient_end_color 100%);
				background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,$gradient_start_color), color-stop(100%,$gradient_end_color));
				background: -webkit-linear-gradient(top,  $gradient_start_color 0%,$gradient_end_color 100%);
				background: -o-linear-gradient(top,  $gradient_start_color 0%,$gradient_end_color 100%);
				background: -ms-linear-gradient(top,  $gradient_start_color 0%,$gradient_end_color 100%);
				background: linear-gradient(to bottom,  $gradient_start_color 0%,$gradient_end_color 100%);
				filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='$gradient_start_color', endColorstr='$gradient_end_color',GradientType=0);
			}";
			?>
			/* Side Menu
			/*-----------------------------------------------------------------------------------*/
			#sidr{
				<?php
				if(ozy_get_option('side_menu_background_image')) {
					$side_menu_background_image_size 	= ozy_get_option('side_menu_background_image_size', 'cover');
					$side_menu_background_image_repeat 	= ozy_get_option('side_menu_background_image_repeat', 'no-repeat');
					echo 'background:' . ozy_get_option('side_menu_background_color') . ' url('. ozy_get_option('side_menu_background_image') .') center center;background-repeat:'. $side_menu_background_image_repeat .';background-size:'. $side_menu_background_image_size .';';
				}else{
					echo 'background-color:' . ozy_get_option('side_menu_background_color');
				}
				?>
			}
			#sidr,
			#sidr p,
			#sidr span,
			#sidr div,
			#sidr h1,#sidr h2,#sidr h3,#sidr h4,#sidr h5,#sidr h6{color:<?php echo ozy_get_option('side_menu_font_color') ?> !important;}
			#sidr a{color:<?php echo ozy_get_option('side_menu_font_color_alternate') ?>;}
			#sidr ul.menu li.current_page_item>a,
			#sidr a:hover{color:<?php echo ozy_get_option('side_menu_font_color') ?> !important;text-decoration:underline;}

			/* Widgets
			/*-----------------------------------------------------------------------------------*/
			.widget li>a{
				color:<?php echo ozy_get_option('content_color' . $dark_light); ?> !important;
			}
			.widget li>a:hover{
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light); ?> !important;
			}
			.ozy-latest-posts>a>span{
				background-color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color_alternate' . $dark_light),'.8') ?>;color:<?php echo ozy_get_option('content_background_color' . $dark_light) ?>;
			}

			/* Page Styling and Typography
			/*-----------------------------------------------------------------------------------*/
			ul.menu li.current_page_item>a,
			.content-color-alternate{
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light); ?> !important;
			}
			.content-color,
			h1.content-color>a,h2.content-color>a,h3.content-color>a,h4.content-color>a,h5.content-color>a,h6.content-color>a {
				color:<?php echo ozy_get_option('content_color' . $dark_light); ?> !important;
			}
			.ap,.pl-container,
			.ozy-footer-slider,
			.ozy-header-slider,
			#content,
			#footer-widget-bar,
			#sidebar,
			#footer,
			input,
			select,
			textarea,
			.tooltipsy,
			.fancybox-inner,
			.ozy-popup-lightbox-center {
				<?php echo $ozyHelper->font_style_render(ozy_get_option('typography_font_face'),
				ozy_get_option('typography_font_weight'),
				ozy_get_option('typography_font_style'),
				ozy_get_option('typography_font_size') . 'px',
				ozy_get_option('typography_font_line_height') . 'em',
				ozy_get_option('content_color' . $dark_light));?>
			}
			#content a:not(.ms-btn) {
				color:<?php echo ozy_get_option('content_link_color' . $dark_light);?>;
			}
			.fancybox-inner a,
			.ozy-popup-lightbox-center a{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?>;
			}
			#sidebar a,#footer a,
			.alternate-text-color,
			#footer-widget-bar>.container>.widget-area a:hover{
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light);?>;
			}
			.alternate-text-color-2{
				color:<?php echo ozy_get_option('content_color_alternate3' . $dark_light);?>;
			}
			.alternate-text-color-3{
				color:<?php echo ozy_get_option('content_color_alternate3' . $dark_light);?>;
			}
			#footer #social-icons a,
			#ozy-share-div>a>span,
			.a-page-title,
			.page-pagination>a,
			.fancybox-inner,
			.ozy-popup-lightbox-center{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}
			.page-pagination>.current{
				background-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?>;
			}
			.a-page-title:hover{
				border-color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}
			.nav-box a,
			#page-title-wrapper h1,
			#page-title-wrapper h3,
			#side-nav-bar a,
			#side-nav-bar h3,
			#content h1,
			#footer-widget-bar h1,
			#footer-widget-bar h2,
			#footer-widget-bar h3,
			#footer-widget-bar h4,
			#footer-widget-bar h5,
			#footer-widget-bar h6,
			#sidr h1,
			#sidr h2,
			#sidr h3,
			#sidr h4,
			#sidr h5,
			#sidr h6,
			#sidebar .widget h1,
			#footer h1,
			#content h2,
			#sidebar .widget h2,
			#footer h2,
			#content h3,
			#sidebar .widget h3,
			#footer h3,
			#content h4,
			#sidebar .widget h4,
			#footer h4,
			#content h5,
			#sidebar .widget h5,
			#footer h5,
			#content h6,
			#sidebar .widget h6,
			#footer h6,
			.heading-font,
			#logo,
			#tagline,
			.ozy-ajax-shoping-cart,
			.ozy-event-list>table th,
			.ozy-event-list>table td{
				<?php echo $ozyHelper->font_style_render(ozy_get_option('typography_heading_font_face'), '', '', '', '', ozy_get_option('content_color' . $dark_light));?>
			}
			#page-title-wrapper h1,
			#content h1,
			#footer-widget-bar h1,
			#sidebar h1,
			#footer h1,
			#sidr h1{
					<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h1'),
				ozy_get_option('typography_heading_h1_font_style'),
				ozy_get_option('typography_heading_h1_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h1', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h1'));?>
			}
			#footer-widget-bar .widget-area h4,
			#sidebar .widget>h4 {
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h4'),
				ozy_get_option('typography_heading_h4_font_style'),
				ozy_get_option('typography_heading_h4_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h4', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h4'));?>
			}
			#content h2,
			#footer-widget-bar h2,
			#sidebar h2,
			#footer h2,
			#sidr h2{
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h2'),
				ozy_get_option('typography_heading_h2_font_style'),
				ozy_get_option('typography_heading_h2_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h2', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h2'));?>;
			}
			#page-title-wrapper h3,
			#content h3,
			#footer-widget-bar h3,
			#sidebar h3,
			#footer h3,
			#sidr h3{
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h3'),
				ozy_get_option('typography_heading_h3_font_style'),
				ozy_get_option('typography_heading_h3_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h3', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h3'));?>;
			}
			#content h4,
			#footer-widget-bar h4,
			#sidebar h4,
			#footer h4,
			#sidr h4{
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h4'),
				ozy_get_option('typography_heading_h4_font_style'),
				ozy_get_option('typography_heading_h4_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h4', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h4'));?>;
			}
			#content h5,
			#footer-widget-bar h5,
			#sidebar h5,
			#footer h5,
			#sidr h5{
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h5'),
				ozy_get_option('typography_heading_h5_font_style'),
				ozy_get_option('typography_heading_h5_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h5', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h5'));?>;
			}
			#content h6,
			#footer-widget-bar h6,
			#sidebar h6,
			#footer h6,
			#sidr h6{
				<?php echo $ozyHelper->font_style_render('',
				ozy_get_option('typography_heading_font_weight_h6'),
				ozy_get_option('typography_heading_h6_font_style'),
				ozy_get_option('typography_heading_h6_font_size') . 'px',
				ozy_get_option('typography_heading_line_height_h6', '1.5') . 'em', '', '',
				ozy_get_option('typography_heading_font_ls_h6'));?>;
			}
			#footer-widget-bar .widget a:hover,
			#sidebar .widget a:hover{
				color:<?php echo ozy_get_option('content_color' . $dark_light)?>;
			}
			span.plus-icon>span{
				background-color:<?php echo ozy_get_option('content_color' . $dark_light)?>;
			}
			#sidr,
			.content-font{
				<?php echo $ozyHelper->font_style_render(ozy_get_option('typography_font_face'),
				ozy_get_option('typography_font_weight'),
				ozy_get_option('typography_font_style'),
				ozy_get_option('typography_font_size') . 'px',
				ozy_get_option('typography_font_line_height') . 'em',
				ozy_get_option('content_color' . $dark_light), '!important');?>
			}
			<?php
			if(ozy_get_metabox('show_loader') == '1' && $ozy_data->device_type === 'computer') {
			?>
			/* Loader
			/*-----------------------------------------------------------------------------------*/
			.deviceis_phone #loaderMask,.deviceis_tablet #loaderMask{display:none!important}#loaderMask{position:fixed;top:0;bottom:0;left:0;right:0;width:100%;height:100%;z-index:1000}#loaderMask>span{position:absolute;display:block;z-index:1001;top:50%;left:50%;margin-top:-48px;margin-left:-50px;width:100px;height:100px;line-height:100px;text-align:center;color:#fff;}.no-js #loaderMask{display:none}#loaderMask .loader-section{position:fixed;top:0;width:51%;height:100%;background:#000;z-index:10}#loaderMask .loader-section.section-left{left:0}#loaderMask .loader-section.section-right{right:0}.loaded #loaderMask .loader-section.section-left{-webkit-transform:translateX(-100%);-ms-transform:translateX(-100%);transform:translateX(-100%);-webkit-transition:all .7s .3s cubic-bezier(0.645,0.045,0.355,1);transition:all .7s .3s cubic-bezier(0.645,0.045,0.355,1)}.loaded #loaderMask .loader-section.section-right{-webkit-transform:translateX(100%);-ms-transform:translateX(100%);transform:translateX(100%);-webkit-transition:all .7s .3s cubic-bezier(0.645,0.045,0.355,1);transition:all .7s .3s cubic-bezier(0.645,0.045,0.355,1)}.loaded #loader{opacity:0;-webkit-transition:all .3s ease-out;transition:all .3s ease-out}.loaded #loaderMask{visibility:hidden;-webkit-transform:translateY(-100%);-ms-transform:translateY(-100%);transform:translateY(-100%);-webkit-transition:all .3s 1s ease-out;transition:all .3s 1s ease-out}#loaderMask>img{z-index: 99;position: absolute;top: 50%;left: 50%;margin-left: -75px;margin-top: -75px;}
			<?php
			}
			?>

			/* Forms
			/*-----------------------------------------------------------------------------------*/
			input:not([type=submit]):not([type=file]),
			select,
			textarea{
				background-color:<?php echo ozy_get_option('form_background_color' . $dark_light)?>;
				border-color:<?php echo ozy_get_option('form_font_color' . $dark_light)?> !important;
				color:<?php echo ozy_get_option('form_font_color' . $dark_light)?> !important;
			}
			#request-a-rate input:not([type=submit]):not([type=file]):hover,
			#request-a-rate textarea:hover,
			#request-a-rate select:hover,
			#request-a-rate input:not([type=submit]):not([type=file]):focus,
			#request-a-rate textarea:focus,
			#request-a-rate select:focus,
			#content input:not([type=submit]):not([type=file]):hover,
			#content textarea:hover,
			#content input:not([type=submit]):not([type=file]):focus,
			#content textarea:focus{
				border-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light)?> !important;
			}
			.generic-button,
			.woocommerce-page .button,
			input[type=button],
			input[type=submit],
			button[type=submit],
			.tagcloud>a{
				/*color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_font_color' . $dark_light))?> !important;*/
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color_hover' . $dark_light))?> !important;
				background-color:<?php echo ozy_get_option('form_button_background_color' . $dark_light)?>;
				border:1px solid <?php echo ozy_get_option('form_button_background_color' . $dark_light)?>;
			}
			.post-submeta>a.button:hover{color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color' . $dark_light))?> !important;}
			.woocommerce-page .button:hover,
			input[type=button]:hover,
			input[type=submit]:hover,
			button[type=submit]:hover,
			.tagcloud>a:hover{
				background-color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color_hover' . $dark_light))?>;
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color' . $dark_light))?> !important;
				border:1px solid <?php echo ozy_get_option('form_button_background_color_hover' . $dark_light)?>;
			}
			#mc_signup #mc_mv_EMAIL{color:<?php echo ozy_get_option('form_button_font_color')?> !important;}

			/* Blog Comments & Blog Stuff
			/*-----------------------------------------------------------------------------------*/
			.comment-body,
			#ozy-share-div>a{
				background-color:<?php echo ozy_get_option('content_background_color_alternate' . $dark_light) ?>;
			}
			.comment-body,
			.single-post .post-submeta{border-color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;}
			.single-post .post-submeta span,.single-post .post-submeta div,.single-post .post-submeta a,.single-post .post-submeta i{color:<?php echo ozy_get_option('content_color' . $dark_light) ?>}
			.single-post .post-submeta a{color:<?php echo ozy_get_option('content_color' . $dark_light) ?> !important}
			.post-submeta>div>div.button{
				background-color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
			}
			.post-submeta>div>div.arrow{
				border-color: transparent <?php echo ozy_get_option('content_color' . $dark_light) ?> transparent transparent;
			}
			.post-title>span,
			.simple-post-format>div>span{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}
			.featured-thumbnail-header p,
			.featured-thumbnail-header a,
			.featured-thumbnail-header h1{
				color:<?php echo ozy_get_option('content_color_alternate3' . $dark_light) ?> !important;
			}
			.featured-thumbnail-header>div{
				background-color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color_alternate' . $dark_light),'.4') ?>;
			}
			.post-submeta>div>div.button>a>span{
				color:<?php echo ozy_get_option('content_background_color_alternate' . $dark_light) ?>;
			}
			#single-blog-category>.post-categories>li>a{
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
				background-color:<?php echo ozy_get_option('content_color_alternate2' . $dark_light) ?>;
			}
			#single-blog-category>.post-categories>li>a:hover{
				color:<?php echo ozy_get_option('content_color_alternate2' . $dark_light) ?>;
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
			}

			/*post formats*/
			.simple-post-format.post-excerpt-aside>div{
				background-color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color' . $dark_light),'.8')?>;
			}
			.simple-post-format>div{
				background-color:<?php echo ozy_get_option('content_color' . $dark_light)?>;
			}
			.simple-post-format>div>span,
			.simple-post-format>div>h2,
			.simple-post-format>div>p,
			.simple-post-format>div>p>a,
			.simple-post-format>div>blockquote,
			.post-excerpt-audio>div>div{
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('content_background_color' . $dark_light))?> !important;
			}
			div.sticky.post-single {
				background-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?>;
				border-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?>;
			}
			/* Shortcodes
			/*-----------------------------------------------------------------------------------*/
			.ozy-event-list>table th,
			.ozy-event-list>table td{
				background-color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color_alternate2' . $dark_light),'.8') ?>;
			}
			.ozy-event-list>table td{
				color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color_alternate3' . $dark_light),'.6') ?>;
			}
			.ozy-event-list>table th,
			.ozy-event-list>table tr:hover>td{
				color:<?php echo ozy_get_option('content_color_alternate3' . $dark_light) ?>;
			}
			.ozy-event-list>table td>a{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
				color:<?php echo ozy_get_option('content_color_alternate2' . $dark_light) ?> !important;
			}
			.ozy-event-list>table td>a:hover{
				background-color:<?php echo ozy_get_option('content_color_alternate2' . $dark_light) ?>;
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}

			.ozy-postlistwithtitle-feed>a:hover{
				background-color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_background_color_hover' . $dark_light))?>;
			}
			.ozy-postlistwithtitle-feed>a:hover *{
				color:<?php echo $ozyHelper->rgba2rgb(ozy_get_option('form_button_font_color_hover' . $dark_light))?> !important;
			}

			.ozy-accordion>h6.ui-accordion-header>span,
			.ozy-tabs .ozy-nav .ui-tabs-selected a,
			.ozy-tabs .ozy-nav .ui-tabs-active a,
			.ozy-toggle span.ui-icon{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
			}
			.ozy-tabs .ozy-nav .ui-tabs-selected a,
			.ozy-tabs .ozy-nav .ui-tabs-active a{
				border-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}
			.ozy-tabs .ozy-nav li a{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}

			/*owl carousel*/
			.ozy-owlcarousel .item.item-extended>a .overlay-one *,
			.ozy-owlcarousel .item.item-extended>a .overlay-two *{
				color:<?php echo ozy_get_option('content_color_alternate3' . $dark_light) ?> !important;
			}
			.ozy-owlcarousel .item.item-extended>a .overlay-one-bg{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
				background-color:<?php echo $ozyHelper->hex2rgba(ozy_get_option('content_color_alternate' . $dark_light),.50) ?>;
			}
			.owl-theme .owl-controls .owl-page.active span{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
			}

			.ozy-button.auto,.wpb_button.wpb_ozy_auto{
				background-color:<?php echo ozy_get_option('form_button_background_color' . $dark_light) ?>;
				color:<?php echo ozy_get_option('form_button_font_color' . $dark_light)?>;
			}
			.ozy-button.auto:hover,
			.wpb_button.wpb_ozy_auto:hover{
				border-color:<?php echo ozy_get_option('form_button_background_color_hover' . $dark_light) ?>;
				color:<?php echo ozy_get_option('form_button_font_color_hover' . $dark_light) ?> !important;
				background-color:<?php echo ozy_get_option('form_button_background_color_hover' . $dark_light)?>;
			}

			.ozy-icon.circle{
				background-color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
			}
			.ozy-icon.circle2{
				color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
				border-color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
			}
			a:hover>.ozy-icon.square,
			a:hover>.ozy-icon.circle{
				background-color:transparent !important;color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
			}
			a:hover>.ozy-icon.circle2{
				color:<?php echo ozy_get_option('content_color' . $dark_light) ?>;
				border-color:transparent !important;
			}

			.wpb_content_element .wpb_tabs_nav li.ui-tabs-active{
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
				border-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}
			.wpb_content_element .wpb_tabs_nav li,
			.wpb_accordion .wpb_accordion_wrapper .wpb_accordion_header{
				border-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?> !important;
			}
			.wpb_content_element .wpb_tabs_nav li.ui-tabs-active>a{
				color:<?php echo ozy_get_option('content_background_color' . $dark_light);?> !important;
			}
			.wpb_content_element .wpb_tour_tabs_wrapper .wpb_tabs_nav a,
			.wpb_content_element .wpb_accordion_header a{
				color:<?php echo ozy_get_option('content_color' . $dark_light);?> !important;
			}
			.wpb_content_element .wpb_accordion_wrapper .wpb_accordion_header{
				font-size:<?php echo ozy_get_option('typography_font_size') ?>px !important;
				line-height:<?php echo ozy_get_option('typography_font_line_height') ?>em !important
			}
			.pricing-table .pricing-table-column+.pricetable-featured .pricing-price{
				color:<?php echo ozy_get_option('content_color_alternate' . $dark_light)?> !important;
			}
			.pricing-table li,
			.pricing-table .pricing-table-column:first-child,
			.pricing-table .pricing-table-column{
				border-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?> !important;
			}
			.pricing-table .pricing-table-column+.pricetable-featured,
			.pricing-table .pricing-table-column.pricetable-featured:first-child{
				border:4px solid <?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}

			/* Shared Border Color
			/*-----------------------------------------------------------------------------------*/
			.post .pagination>a,
			.ozy-border-color,
			#ozy-share-div.ozy-share-div-blog,
			.page-content table td,
			#content table tr,
			.post-content table td,
			.ozy-toggle .ozy-toggle-title,
			.ozy-toggle-inner,
			.ozy-tabs .ozy-nav li a,
			.ozy-accordion>h6.ui-accordion-header,
			.ozy-accordion>div.ui-accordion-content,
			.chat-row .chat-text,
			#sidebar .widget>h4,
			#sidebar .widget li,
			.ozy-content-divider,
			#post-author,
			.widget ul ul,
			blockquote,
			.page-pagination>a,
			.page-pagination>span,
			.woocommerce-pagination>ul>li>*,
			#content select,
			body.search article.result,
			div.rssSummary,
			#sidr input,
			#content table tr td,
			#content table tr th,
			.widget .testimonial-box {
				border-color:<?php echo ozy_get_option('primary_menu_separator_color' . $dark_light) ?>;
			}
			#content table tr.featured {
				border:2px solid <?php echo ozy_get_option('content_color_alternate' . $dark_light) ?> !important;
			}
			/* Specific heading styling
			/*-----------------------------------------------------------------------------------*/
		<?php
			$use_no_page_title_margin = $custom_header = false;
			if(!is_search()) {
				$post_id = ozy_get_woocommerce_page_id();
				if($post_id > 0) {
					echo '.woocommerce-page article .page-title{
						display:none !important
					}';
					if(ozy_get_metabox('use_no_content_padding', 0, $post_id) === '1') {
						echo '#main{margin-top:0!important;padding-top:0!important;}';
					}
				}
				if(ozy_get_metabox('use_custom_title', 0, $post_id) == '1') {
					$_var = 'use_custom_title_group.0.ozy_odio_meta_page_custom_title_';
					$h_height 	= ozy_get_metabox($_var . 'height', '240', $post_id) + $menu_logo_height + 40;
					$h_bgcolor 	= ozy_get_metabox($_var . 'bgcolor', '', $post_id);
					$h_bgimage 	= ozy_get_metabox($_var . 'bg', '', $post_id);
					$h_bg_xpos	= ozy_get_metabox($_var . 'bg_x_position', '', $post_id);
					$h_bg_ypos	= ozy_get_metabox($_var . 'bg_y_position', '', $post_id);

					$h_css = (int)$h_height > 0 ? 'height:'. $h_height .'px;' : '';
					$h_css.= (int)$h_height > 0 ? $ozyHelper->background_style_render($h_bgcolor, $h_bgimage, 'cover', 'repeat', 'inherit', true, $h_bg_xpos, $h_bg_ypos) : '';
					echo '#page-title-wrapper{'. $h_css .'}';
					echo '#page-title-wrapper>div{margin-top:50px}';
					$h_title_color = ozy_get_metabox($_var . 'color', 0, $post_id);
					if($h_title_color) {
						echo '#page-title-wrapper>div>h1{
							color:'. $h_title_color .';
						}';
					}
					$h_sub_title_color = ozy_get_metabox('use_custom_title_group.0.ozy_odio_meta_page_custom_sub_title_color', 0, $post_id);
					if($h_sub_title_color) {
						echo '#page-title-wrapper>div>h3{
							color:'. $h_sub_title_color .';
						}';
					}

					$h_title_position = ozy_get_metabox($_var . 'position', 0, $post_id);
					if($h_title_position) {
						echo '#page-title-wrapper>div>h1,
						#page-title-wrapper>div>h3{
							text-align:'. $h_title_position .';
						}';
					}
					$custom_header = true;
				}else{
					echo '#page-title-wrapper{
						height:100px
					}';
				}
			}else{
				echo '#page-title-wrapper{
					height:100px
				}';
			}

			$top_smal_menu_height = 40;//40 for padding around primary menu
			if(is_page_template('page-countdown.php') || is_page_template('404.php') || is_404()) {
				echo '#main{padding-top:0!important}';
			}else{
				echo '#main{padding-top:'. (ozy_get_option('primary_menu_height')+$top_smal_menu_height) .'px;}';
			}
			if(ozy_get_metabox('use_no_content_padding') === '1') {
				echo '#main{margin-top:0!important;padding-top:0!important;}';
				echo 'body.no-page-title #main>.container{padding-top:0;}';
			}
		?>

			/* Conditional Page Template Styles
			/*-----------------------------------------------------------------------------------*/
			<?php
			if(is_single()) {
			?>
			#main{background-color:transparent!important}
			#main #content{background-color:<?php echo ozy_get_option('content_background_color' . $dark_light, '#fff'); ?>}
			#content .post .post-meta {
				width:65px;
				text-align:center;
				position:absolute;
				left:50%;
				bottom:-49px;
				padding:8px 0 0 0;
				margin-left:-32.5px;
				background-color: <?php echo ozy_get_option('content_color_alternate' . $dark_light)?>;
			}
			#content .post.format-standard .post-meta{bottom:-54px}
			#content .post .post-meta span {
				display:block;
				font-weight:400;
				padding-bottom:4px !important;
			}
			#content .post .post-meta span.d,
			#content .post .post-meta span.c>span.n {
				font-size:24px !important;
				line-height:24px !important;
				font-weight:700;
			}
			#content .post .post-meta span.c>span.t {
				font-size:10px !important;
				line-height:10px !important;
			}
			#content .post .post-meta span.m,
			#content .post .post-meta span.y,
			#content .post .share-box>span {
				font-size:12px !important;
				line-height:12px !important;
				color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?>;
				text-transform:uppercase;
			}
			#content .post .post-meta span.c {
				padding-top:8px;
				background-color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?>;
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;
			}
			<?php
			}
			if(is_page_template('page-grid-gallery.php')) {
			?>
			.ozy-grid-gallery .info {
				background-color:<?php echo ozy_get_option('content_color_alternate' . $dark_light) ?>;
			}
			<?php
			}
			if(is_page_template('page-isotope-blog.php')) {
			?>
			.ozy-page-model-full #main>.container.no-vc,
			#content .wpb_row.vc_row-fluid>div.parallax-wrapper {
				max-width:100% !important;
				width:100% !important;
				padding:0 !important;
			}
			body.no-page-title #main>.container>#content{margin-top:40px;}
			#main>.container>#content{
				max-width:100% !important;
				width:100% !important;
				padding:0 30px 0 40px;/* !important;*/
			}
			#content .wpb_wrapper>.post{
				margin-bottom:20px !important;
				margin-top:0 !important;
				padding:0 20px 0 0 !important;
				width:25%;
				float:left;
				clear:none !important;
			}
			#content .wpb_wrapper>.post>div {
				background-color: <?php echo ozy_get_option('content_background_color' . $dark_light)?>;
				-webkit-box-shadow: 0px 0px 10px 0px rgba(50, 50, 50, 0.75);
				-moz-box-shadow:    0px 0px 10px 0px rgba(50, 50, 50, 0.75);
				box-shadow:         0px 0px 10px 0px rgba(50, 50, 50, 0.75);
			}
			.wpb_wrapper.isotope {
				margin-top:35px;
				margin-bottom:32px;
				padding-bottom:60px;
			}
			.featured-thumbnail>a{background-color:transparent;}
			#content .wpb_wrapper>.post .caption {
				width: 75%;
				font-size:18px !important;
				line-height: 24px !important;
				margin:0 !important;
				padding-left:10px !important;
				font-weight:700;
			}
			#content .wpb_wrapper>.post .caption p {
				padding:0;
				font-size:12px;
			}
			.post.has_thumb .post-title,
			.featured-thumbnail{margin:0 !important;}
			.post-single{padding:0 !important;}
			#content .wpb_wrapper>.post .post-header-holder {
				position:relative;
				height:85px;
			}
			#content .wpb_wrapper>.post .post-meta {
				width:65px;
				text-align:center;
				position:absolute;
				left:0;
				top:0;
				padding:8px 0 0 0;
				background-color: <?php echo ozy_get_option('content_color_alternate' . $dark_light)?>;
			}
			#content .wpb_wrapper>.post .post-meta span {
				display:block;
				font-weight:400;
				padding-bottom:4px !important;
			}
			#content .wpb_wrapper>.post .post-meta span.d,
			#content .wpb_wrapper>.post .post-meta span.c>span.n {
				font-size:24px !important;
				line-height:24px !important;
				font-weight:700;
			}
			#content .wpb_wrapper>.post .post-meta span.c>span.t {
				font-size:10px !important;
				line-height:10px !important;
			}
			#content .wpb_wrapper>.post .post-meta span.m,
			#content .wpb_wrapper>.post .post-meta span.y,
			#content .wpb_wrapper>.post .share-box>span {
				font-size:12px !important;
				line-height:12px !important;
				color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?>;
				text-transform:uppercase;
			}
			#content .wpb_wrapper>.post .share-box>span.likes,
			#content .wpb_wrapper>.post .share-box>span.views{font-size:11px !important;}
			#content .wpb_wrapper>.post .post-meta span.c {
				padding-top:8px;
				background-color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?>;
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;
			}
			#content .wpb_wrapper>.post .category-list {
				width:75%;
				overflow:hidden;
				font-size:11px !important;
				padding-left:10px !important;
			}
			#content .wpb_wrapper>.post .category-list>a {
				color: <?php echo ozy_get_option('content_color' . $dark_light)?>;
			}
			#content .wpb_wrapper>.post .share-box {
				position:absolute;
				top:0;
				right:0;
				background-color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?>;
				width:90px;
				height:85px;
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;
				text-align:center;
			}
			#content .wpb_wrapper>.post .share-box>span{color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;}
			#content .wpb_wrapper>.post .share-box span.likes {display:none}
			#content .wpb_wrapper>.post .share-box>i,
			#content .wpb_wrapper>.post .share-box>a {
				display:block;
				float:left;
				width:30px;
				line-height:36px;
				text-decoration:none;
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;
			}
			div.share-box>a:hover,
			div.share-box>i:hover{
				background-color: <?php echo ozy_get_option('content_color_alternate' . $dark_light)?>;
				color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?> !important;
			}
			#content .wpb_wrapper>.post .post-content,
			#content .wpb_wrapper>.post .post-content.auido-post>p {padding:16px 20px !important;}
			#content .wpb_wrapper>.post .post-content.auido-post{padding:0 !important;}
			#content .wpb_wrapper>.post .post-audio,
			#content .wpb_wrapper>.post .post-video {margin-bottom:0 !important;}
			/*addthis*/
			a.at-svc-facebook,
			a.at-svc-twitter{background-color:#dadada !important;}
			a.at-svc-compact{background-color:#fe6e4c !important;}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-compact>span,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-twitter>span,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-facebook>span{
				background-color:transparent !important;
				background-image:none !important;
			}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-compact,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-twitter,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-facebook{
				cursor:pointer;
				line-height:28px !important;
				color:#fff !important;
				text-decoration:none;
			}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-compact:hover,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-twitter:hover,
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-facebook:hover {color:#000 !important}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a>span{
				width:30px !important;
				height:30px !important;
				padding-top: 4px;
			}
			.at-share-tbx-element.addthis_20x20_style .at-share-btn,
			.at-share-tbx-element .at-share-btn {
				max-width:30px !important;
				max-height:30px !important;
				width:30px !important;
				height:30px !important;
				margin:0 !important;
			}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-facebook:before{font-family:"ozythemes";content:"\e459";}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-twitter:before{font-family:"ozythemes";content:"\e506";}
			#content .wpb_wrapper>.post .addthis_sharing_toolbox a.at-svc-compact:before{font-family:"ozythemes";content:"\e37f";}
			/*addthis end*/
			@media only screen and (max-width: 1280px) {#content .wpb_wrapper>.post{width:33.333%;}}
			@media only screen and (max-width: 1024px) {#content .wpb_wrapper>.post{width:50%;}}
			@media only screen and (max-width: 768px) {#content .wpb_wrapper>.post{width:100%;padding-right:0 !important}}
			@media only screen and (max-width: 479px) {
				#content .wpb_wrapper>.post .caption {
					width:70% !important;
					font-size:12px !important;
					line-height:18px !important;
				}
			}
			.post-content img{height:auto;}
			.tinynav { display: block }
			div.fancy-select div.trigger,
			div.fancy-select div.trigger.open,
			div.fancy-select ul.options,
			div.fancy-select ul.options li,
			h1.isotope-blog-page-title,
			h1.isotope-blog-page-title>span{
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?> !important;
				background-color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?> !important;
			}
			div.fancy-select div.trigger:after,
			div.fancy-select div.trigger.open:after{border-top-color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?>;}
			div.fancy-select ul.options li.hover,
			div.fancy-select ul.options li.selected {
				color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?> !important;
				background-color: <?php echo ozy_get_option('content_color_alternate' . $dark_light)?> !important;
			}
			.ozy-owlcarousel.single .owl-pagination{display:none;}
			div.sticky.post-single{border-color:transparent !important;background-color:transparent !important;}

			.page-pagination{
				position:absolute;
				bottom:20px;
			}
			<?php
			}
			?>
			.isotope-blog-navigation>a{
				color: <?php echo ozy_get_option('content_color_alternate3' . $dark_light)?> !important;
				background-color: <?php echo ozy_get_option('content_color_alternate2' . $dark_light)?> !important;
			}
			<?php
			if(is_page_template('page-classic-gallery.php') ||
			is_page_template('page-thumbnail-gallery.php') ||
			is_page_template('page-nearby-gallery.php') ||
			is_page_template('page-revo-full.php')) {
			?>
			#main>.container.no-vc,
			#content,
			#content.no-vc{
				max-width:100% !important;
				width:100% !important;
				padding-left:0 !important;
				padding-right:0 !important;
				padding-top:0 !important;
				padding-bottom:0 !important;
			}
			<?php
			}
			$ozyHelper->render_custom_fonts();
			?>
		</style>
		<?php
		$ozyHelper->render_google_fonts();
	}

	add_action( 'wp_head', 'ozy_odio_style', 99 );
endif;
?>
