<?php 
/*
Template Name: Blog : Masonry
*/
get_header(); 
?>
	<div id="content" class="<?php echo esc_attr($ozy_data->_page_content_css_name); ?>">
        
        <div class="wpb_row vc_row-fluid">
			<div class="parallax-wrapper">
            	<div class="vc_col-sm-12 wpb_column vc_column_container">
                	<h1 class="isotope-blog-page-title content-font"><span class="heading-font"><?php echo get_the_title() ? get_the_title() : __("WHAT'S FRESH TODAY", "odio") ?></span></h1>
                	<div class="fancy-select-wrapper heading-font">
                    <select id="filters" class="button-group">
                    	<option data-href="#all" data-filter="*"><?php _e('SHOW ALL', 'odio') ?></option>
                        <?php $ozyHelper->ozy_masonry_blog_filter_box(); ?>
                    </select>
                    </div>
                	<div class="wpb_wrapper isotope">
						<?php
                            query_posts( array(
                                'cat'					=> $ozy_data->_blog_include_categories,
                                'ignore_sticky_posts' 	=> '1',
								'post_type' 			=> 'post',
                                'post_status'			=> 'publish',
                                'orderby' 				=> $ozy_data->_blog_orderby,
                                'order' 				=> $ozy_data->_blog_order,
								'meta_key' 				=> '_thumbnail_id',
								'tax_query' 			=> array(
									array(
										'taxonomy' 	=> 'post_format',
										'field' 	=> 'slug',
										'terms' 	=> array( 'post-format-quote', 'post-format-status', 'post-format-link', 'post-format-aside' ),
										'operator'	=> 'NOT IN'
									)
								),
                                'paged'					=> get_query_var('paged') ));
                            
                            if (have_posts()) : while (have_posts()) : the_post(); 
                                global $more, $ozy_global_params; $more = 0; $ozy_global_params['media_object'] = '';
                                
                                /*get post format*/
                                $ozy_temporary_post_format = $ozy_current_post_format = get_post_format();
                                if ( false === $ozy_current_post_format ) {
                                    $ozy_current_post_format = 'standard';
                                }
                                $hide_title = false;
                                
                                /*here i am handling content to extract media objects*/
                                ob_start();
                                if($post->post_excerpt) {
                                    the_excerpt();
                                }else{
                                    //if this is a gallery post, please remove gallery shortcode to render it as expected
                                    if('gallery' === $ozy_current_post_format) {
                                        ozy_convert_classic_gallery();
                                    } else {
										the_content('');
                                    }
                                }
                                $ozy_content_output = ob_get_clean();				
                
                        ?>
						<div <?php post_class('post-single post-format-'. esc_attr($ozy_current_post_format)); ?>>
                        	<div>
							<?php
								echo '<div class="post-header-holder">';
								echo '<div class="category-list">&bull; '; the_category(' &bull; '); echo '</div>';
								if(!$hide_title) {
									echo '<h2 class="caption">';
										echo '<a href="'. esc_url(get_permalink()) .'" title="'. esc_attr(get_the_title()) .'" class="a-page-title" rel="bookmark">'. ( get_the_title() ? get_the_title() : get_the_time('F j, Y') ) .'</a>';
									echo '</h2>';
								}
								$ozyHelper->ozy_masonry_blog_share_box();
								echo '</div>';
													
								$thumbnail_image_src = $post_image_src = array();
								if ( has_post_thumbnail() ) { 
									$thumbnail_image_src 	= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large' , false );
									$post_image_src 		= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' , false );						
								}
							
                    	        /*post format processing*/
                        	    if( 'gallery' === $ozy_current_post_format ) {
                            	    echo '<div class="featured-thumbnail">';
									echo $ozyHelper->post_owl_slider(false, 'owl');
									$ozyHelper->ozy_masonry_blog_date_comment_box();
									echo '</div>';
        	                    }else if( 'video' !== $ozy_current_post_format){// && 'audio' !== $ozy_current_post_format 
									if ( isset($thumbnail_image_src[0]) && isset($post_image_src[0])) { 
										//echo '<div class="featured-thumbnail" style="background-image:url('. esc_url($post_image_src[0]) .');"><a href="'. esc_url($thumbnail_image_src[0]) .'" class="fancybox"></a>'; 
										echo '<div class="featured-thumbnail" style="background-image:url('. esc_url($post_image_src[0]) .');"><a href="'. esc_url(get_permalink()) .'"></a>';the_post_thumbnail('blog');
										$ozyHelper->ozy_masonry_blog_date_comment_box();
										echo '</div>';
									}
	                            }
            
								/*and here i am printing media object which handled in functions.php ozy_add_video_embed_title()*/
								if(isset($ozy_global_params['media_object']) && $ozy_global_params['media_object'] && 'video' === $ozy_current_post_format) {
									echo '<div class="featured-thumbnail">' . $ozy_global_params['media_object'];
									$ozyHelper->ozy_masonry_blog_date_comment_box();
									echo '</div>';
								}
                            
								if('audio' == $ozy_current_post_format) {
									echo '<div class="post-content auido-post">';
									echo $ozy_content_output;
									echo '</div>';
								}

								if(!$hide_title && 'audio' !== $ozy_current_post_format) {
									echo '<div class="post-content">';
										echo ozy_excerpt_max_charlength(100, true, true);
									echo '</div>';
								}
                            ?>
                			</div>
                        </div><!--.post-single-->        
                        
                        <?php endwhile; else: ?>
                        <div class="no-results">
                            <p><strong><?php _e('There has been an error.', 'odio'); ?></strong></p>
                            <p><?php _e('We apologize for any inconvenience, please hit back on your browser or use the search form below.', 'odio'); ?></p>
                            <?php get_search_form(); /* outputs the default Wordpress search form */ ?>
                        </div><!--noResults-->
                        <?php endif; ?>
                        
                        <?php 
						$ozyHelper->ozy_blog_navigation();
						?>

					</div>
				</div>
             
        	</div>
        </div>
        
	</div><!--id:content-->
    
<?php
get_footer();
?>