<?php 
get_header(); 

ozy_post_view_counter();

$hide_title = false;

/*get post format*/
$ozy_temporary_post_format = $ozy_current_post_format = get_post_format();
if ( false === $ozy_current_post_format ) { $ozy_current_post_format = 'standard'; }

if ( have_posts() ) while ( have_posts() ) : the_post();

/* Widgetized LEFT sidebar */
if(function_exists( 'dynamic_sidebar' ) && $ozyHelper->hasIt($ozy_data->_page_content_css_name,'left-sidebar') && $ozy_data->_page_sidebar_name) {
?>
	<div id="sidebar" class="<?php echo esc_attr($ozy_data->_page_content_css_name); echo $ozy_data->blog_has_super_header ? ' has-super-header' : ''; ?>">
		<ul>
        	<?php dynamic_sidebar( $ozy_data->_page_sidebar_name ); ?>
		</ul>
	</div>
	<!--sidebar-->
<?php
}
?>
<div id="content" class="<?php echo esc_attr($ozy_data->_page_content_css_name); ?>">
    <div class="wpb_row vc_row-fluid">
        <div class="parallax-wrapper">
            <div class="vc_col-sm-12 wpb_column vc_column_container">
                <div class="wpb_wrapper">

                    <div id="post-<?php esc_attr(the_ID()); ?>" <?php post_class('post'); ?>>
                
                        <article>
                            <?php
                            /*here i am handling content to extract media objects*/
                            ob_start();
                            //if this is a gallery post, please remove gallery shortcode to render it as expected
                            if('gallery' === $ozy_current_post_format) {
                                ozy_convert_classic_gallery();
                            } else {
                                the_content('<p>' . __('Continue Reading &rarr;', 'odio') . '</p>');
                            }
							
							wp_link_pages();
							
                            $ozy_content_output = ob_get_clean();					
                        
                            if( 'gallery' === $ozy_current_post_format ) {
								echo '<div class="featured-thumbnail">';
                                echo $ozyHelper->post_owl_slider();
								$ozyHelper->ozy_masonry_blog_date_comment_box();
								echo '</div>';								
                            } else if( 'aside' === $ozy_current_post_format || 'link' === $ozy_current_post_format ) {
                                $hide_title = true;
                            } else if( 'video' !== $ozy_current_post_format) { //&& 'audio' !== $ozy_current_post_format 
								if ( has_post_thumbnail() ) { 
									$thumbnail_image_src	= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' , false );
									$post_image_src 		= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'blog' , false );
									 if ( isset($thumbnail_image_src[0]) && isset($post_image_src[0])) { 
										 echo '<div class="featured-thumbnail" style="background-image:url('. esc_url($post_image_src[0]) .');"><a href="'. esc_url($thumbnail_image_src[0]) .'" class="fancybox"><span></span><span></span></a>';
										 $ozyHelper->ozy_masonry_blog_date_comment_box();
										 the_post_thumbnail('blog');
										 echo '</div>';
									 }
								}
                            }
                
                            /*and here i am printing media object which handled in functions.php ozy_add_video_embed_title()*/
							if(isset($ozy_global_params['media_object']) && $ozy_global_params['media_object'] && 'video' === $ozy_current_post_format) {
								echo '<div class="featured-thumbnail">' . $ozy_global_params['media_object'];
								$ozyHelper->ozy_masonry_blog_date_comment_box();
								echo '</div>';
							}
                            ?>

                            <div class="clear"></div> 
							
                            <div class="p-wrapper">
								<div id="single-blog-category"><?php the_category(''); ?></div><!--id:single-blog-category-->
								<?php
                                if(!$hide_title && 'audio' !== $ozy_current_post_format) {
                                    echo '<h1 class="post-title">';
                                        echo '<a href="'. esc_url(get_permalink()) .'" title="'. esc_attr(get_the_title()) .'" class="a-page-title" rel="bookmark">'. ( get_the_title() ? get_the_title() : get_the_time('F j, Y') ) .'</a>';
                                    echo '</h1>';
                                }else if('audio' == $ozy_current_post_format) {
									echo '<div class="post-content auido-post">';
									echo $ozy_content_output;
									echo '</div>';						
                            	} 
                                ?>
                                <div class="post-content">                                                         
                                    <?php
                                        if('audio' !== $ozy_current_post_format) {
                                            echo $ozy_content_output;
                                        }					
                                        
                                        edit_post_link('<p><small>Edit this entry</small></p>','',''); 
                                    ?>
                                </div><!--.post-content-->
							</div><!--.p-wrapper-->
                        </article>
                                
                        <?php
                        if(ozy_get_option('page_blog_share') == '1') {
							echo '<div class="p-wrapper">';
                            include('include/share-buttons.php');
							echo '</div><!--.p-wrapper-->';
                            echo '<div class="clear"></div>';
                        }
						?>

                    </div><!-- #post-## -->
                    
                    <div class="clear"></div> 
					                    
                    <?php
                    /* If a user fills out their bio info, it's included here */ 
                    if (get_the_author_meta('description') && ozy_get_option('page_blog_author') == '1') : 
                    ?>
                    <div class="p-wrapper">
                        <div id="post-author">
                            <p class="gravatar"><?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '80' ); } ?></p>
                            <div id="authorDescription">
                                <h3><?php _e('About ', 'odio'); the_author_posts_link() ?></h3>
                                <?php the_author_meta('description') ?> 
                            </div><!--id:author-description -->
                        </div><!--id:post-author-->
					</div><!--.p-wrapper-->
                    <?php
                    endif;
                    ?>
                    
                    <div class="clear"></div> 
                    
                    <div class="p-wrapper">
                    <?php include_once('include/blog-related-posts-navigation.php');?>
                    </div><!--.p-wrapper-->                    

                    <div class="clear"></div>                     

                    <div class="p-wrapper">
                    <?php 
                        if( ozy_get_option('page_blog_comment') == '1') { 
                            comments_template( '', true );
                        }
                    ?>
                    </div><!--.p-wrapper-->
                </div>
            </div>
        </div>
    </div>       
</div><!--id:content-->

<?php 
/* Widgetized RIGHT sidebar */
if(function_exists( 'dynamic_sidebar' ) && $ozyHelper->hasIt($ozy_data->_page_content_css_name,'right-sidebar') && $ozy_data->_page_sidebar_name) {
?>
	<div id="sidebar" class="<?php echo esc_attr($ozy_data->_page_content_css_name); ?>">
		<ul>
        	<?php dynamic_sidebar( $ozy_data->_page_sidebar_name ); ?>
		</ul>
	</div>
	<!--sidebar-->
<?php
}
endwhile; /* end loop */
get_footer(); 
?>